GNU bug report logs - #38030
[PATCH 00/13] Update KDE frameworks and other KDE stuff

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Hartmut Goebel <h.goebel@HIDDEN>; Keywords: patch; Done: Hartmut Goebel <h.goebel@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 38030-close <at> debbugs.gnu.org:


Received: (at 38030-close) by debbugs.gnu.org; 10 Nov 2019 21:20:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 10 16:20:35 2019
Received: from localhost ([127.0.0.1]:52695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTudP-000427-99
	for submit <at> debbugs.gnu.org; Sun, 10 Nov 2019 16:20:35 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:33055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iTudL-00041w-L7
 for 38030-close <at> debbugs.gnu.org; Sun, 10 Nov 2019 16:20:32 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 47B6Nt2x28z1rVvq;
 Sun, 10 Nov 2019 22:20:30 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 47B6Nt00SYz1qqkK;
 Sun, 10 Nov 2019 22:20:29 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id Q9lkJOisst7e; Sun, 10 Nov 2019 22:20:29 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-55-46.dynamic.mnet-online.de [188.174.55.46])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS;
 Sun, 10 Nov 2019 22:20:29 +0100 (CET)
Received: from thisbe.goebel-consult.de (hermia.goebel-consult.de
 [192.168.110.7])
 by hermia.goebel-consult.de (Postfix) with ESMTP id AF3F360122;
 Sun, 10 Nov 2019 22:20:28 +0100 (CET)
Subject: Re: [bug#38030] [Patch 13/13 v2] gnu: kpmcore: Update to 4.0.1
To: Marius Bakke <mbakke@HIDDEN>, 38030-close <at> debbugs.gnu.org
References: <20191102090751.17944-1-h.goebel@HIDDEN>
 <20191105205530.20969-1-h.goebel@HIDDEN>
 <875zjsmyub.fsf@HIDDEN>
From: Hartmut Goebel <h.goebel@HIDDEN>
Autocrypt: addr=h.goebel@HIDDEN; prefer-encrypt=mutual; keydata=
 mQINBFJQM3oBEACiUXmMppc3+A7JpF3lPz8O/mRhfz1U6F4EOTlacTrCcm7Xg5U2JsPPNapV
 r5+vHnKBK+xbaX3s/A/G+SwrUZhi1X1HRnSNY1CqL8CT7rZmOtfjg4ExnOuCjie2bKhb9JKm
 lJ7MrNimIbNQoX1mRcQ4VMEflhyWfaPGbT73siuMkbr020ExhzW8T18JIC01SgWMULYMBXOB
 oGY21am/vaTFCK8bym1P4HVN8i64uOWL0agkAMHbju6SZtG2fYJ68eS3P/97bXRg1pveEdpa
 FgaFZhquecw4WdedwLwt1xNcjAg/p6tN73W3asEZTgMHa+iNzbJgcyhWpci09wQZfZ1uL0Hd
 M+ohng38ccgu9hJx6YzCN7Fe14JooKbPukG/WfClAgAzZSHRKpS4zGdGlg6D6EWayyWWoLR3
 KoMA4LIIlaQbqaOhfe85b4mNgB1hqd0uRTHOah/6T+FUoSQ1IAeKLIDqj6rW7X4ISRn1CXGS
 LGDn2QKqR3KtU3cLf8hAeDeO7Qe1jTvLrG1Mfca8lEmC7/yN1gI7L4/cs6lhmXUgMaevuxss
 BxO2kkh0OS8HVFf+QQ7LZ5vt91yQVT9HVvOuVob0YtG+3rvkpMaHQilKloNoEkmMiHpwypBa
 IfAC6NP9smgionvvmQ5RWSEaH5/pfSUAYbqzWbqDxtqEF/mPOwARAQABtC1IYXJ0bXV0IEdv
 ZWJlbCA8aC5nb2ViZWxAY3JhenktY29tcGlsZXJzLmNvbT6JAj0EEwEKACcCGwMCHgECF4AF
 CwkIBwMFFQoJCAsFFgIDAQAFAluyK5QFCQ0kXxEACgkQe3UoEb93O2XMlw//Z2/aXbZO3lJv
 uvfDBU3fJBKxp87EButnuwudFyaNupKxO13R7rBKB/Oti/rNP7IlK56WwU10ldK6C1PYnqru
 5L1VCjWRi2Jd/XlvgXlc1jqstbM7NfU7pGOzctJGYpKh+7b1EdSM4V1KnDKcbKicLKC7zS+d
 HUdsch5w5XJj+pZRE4R0KEA/vEBB4ba+m+b59WqzaLin2pOqyo4Ff9o5uVgxlNrLIJQsg74T
 MTQP8khyDLfmyiN42VVkOBOIPMLA8ljEA1I7I4WwW3bT3mxOXHUExey/YsOdpqYX+kh7u/tj
 7kbjKQbdCwdwUqSOPLmW9/9Wxyf2/xi+3lCvxzwPPElnK62yKlxLhVMt+Ah3J2QeLmrVGG5X
 PQzplrmQ6ptpEC9evrK3ALBJ+UGGxyyLp7sPb0SbDq70tZLRtbcE6QnpQA2IQIPTTy40lGVy
 3a3iXiDM7hzbljWS0XSaEHoZ/WdgKLV+OzVZ9vrhP+7HrK7hEzdYqCvNfcW6bk2KrMN0RxBB
 OAbiRne8E0iTffh9uTyW7sAE0UDA9J3KtD3fpkld9cQrhwUVsjuPfbCqnhCk0B7ro1OR0DHB
 bgMVEylEsACnHEU4XWvo+U+0MgJtDQjzIy+XZfXDCs1VOy+murgcs0YIFqesyYOaaF1eP1S0
 Yr18n/pfAPCFfg0rhMQUyoK5Ag0EUlAzegEQAL3lOz+uhHudEvovJVdExl+MTHLpYcajA0QL
 zDXe0jiAYdB+Jpvm7CAKani61/eo1SnHyRORELjxl/fL3ytjg3yRvVAM2I+xg7lIB4qXL5rR
 5K8iF4px/jYV2CBIiwOKQ6gVEVk2hpl/tPqP3QdOKXdLu3sOM1Ygg3PN5fc+I7B6luchx6Bu
 7NAR7nWKn6D1NdOI1UZL6Dr6Me/6hNVJBGvDF3Fm2x0CoIHujFksfOxZtwoZMXn13N18ZDyQ
 OMA89eHNQlFri9i5xG3laMAW2M0bozf+FwTBXomIWkT2Tkj3omW8ZIcfags2SpRkQl45pE65
 nLKK36eRNoNbBovqKalMyhKstFTpIjjTZRMI5EZ87j7gYX/ghCss2LZz4X0WfvH6lYt8Yvjv
 I9Stl4ENvNukQZSZgIpaaAgZceXyuLaj+FY1cVXK3AoTh+lordfXr3TSBxlb1z7cNHqsI9vd
 RwsfC+Ng+yRrNGnNw008fgDq9fhaZus1krtPQzTyJzMw9xnLKuHhHFbkHDaW1Gb9dnECBF8a
 T0kjffgENEa5K6bfyAGGZ5zikBuK9EZdIQ0KgLP55hdnY7PigXazSsvYxVB62+B0kRYxjyM7
 UAX55+QeD7pkPhBmRozeNYZzQxu9cyeD83e1Yf7ddnBkkLXVyTzKIutGh2R2BkcmkbBKTv27
 ABEBAAGJAjwEGAEKACYCGwwWIQTUrYucFnt1fE8I6Hd7dSgRv3c7ZQUCW7IswAUJDSRgPgAK
 CRB7dSgRv3c7ZbFUD/97iHXgPYSZWyZ9r8pgpRuyoIK2TKmClUxck1a0WUkTMjzi0gW4kOIj
 2wNOUnsRqioxOVXAg0R9ix1l6+LBC8+m/VFoR37BYQsC5WrzkmeaFChrBPs+YlND0V7TWNq0
 elBvsNuApVxSOzaJuxCnH9WLe3s4fIveymScNAZOm31DHgmkDcb1/NXg97nohqSeW+k3eQbh
 borMRT3kMaXrPTI8qal9TsYf6KhfPi61fbnGW6bNJ0LnWQj2b7nb6nIR99cr0sNymqOsC6Gq
 0yHhTceRl2/DRBe+QCxoiFKs1s6f7Af+U9r/JkHfdOLCRxjmAyl22zlhmBeNlGSvDbJqy5AE
 7fKo1/mVQ2CNskF0BcOhrrntVf4A1gy3OlIXnCV//HH6w7qRBpw0inpD5c9Ny20aNdo8mS3y
 szcGZLczkdx8qzYEXBCO8zSDiRllrf6e8H5AaQdtHInxQ2Ywdqz/Ho81irbcPaHwI7P9/qvm
 zYnPZ3ULNlrI/+mq0oYkCB8oB9HW0C/YGZ/nIYY0vxDoy6n6EhEzntdAjF6Pav+QHB216fBs
 LMLs8X4+PXOc+MaAmQQTyTF9C8vfQk86E4eRmQErYw0aYVR7bUqyYfX8e2c5geqeSm6O+Brv
 6LQtDbOJIcmJW1NS8XVmDG9JmkbtYqhnRDQMT+YFJircfDYmUvL4Ww==
Organization: crazy-compilers.com
Message-ID: <bdb7c781-3ce7-1ea8-dc9a-4a142679eeee@HIDDEN>
Date: Sun, 10 Nov 2019 22:20:26 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.1
MIME-Version: 1.0
In-Reply-To: <875zjsmyub.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="ylKmkp6ypi5aXVoYQPbSDfPiVKx17ZHKe"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030-close
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--ylKmkp6ypi5aXVoYQPbSDfPiVKx17ZHKe
Content-Type: multipart/mixed; boundary="QxiaznDpQsKhB9N70L0ew4zm4tTgsLpse";
 protected-headers="v1"
From: Hartmut Goebel <h.goebel@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>, 38030-close <at> debbugs.gnu.org
Message-ID: <bdb7c781-3ce7-1ea8-dc9a-4a142679eeee@HIDDEN>
Subject: Re: [bug#38030] [Patch 13/13 v2] gnu: kpmcore: Update to 4.0.1
References: <20191102090751.17944-1-h.goebel@HIDDEN>
 <20191105205530.20969-1-h.goebel@HIDDEN>
 <875zjsmyub.fsf@HIDDEN>
In-Reply-To: <875zjsmyub.fsf@HIDDEN>

--QxiaznDpQsKhB9N70L0ew4zm4tTgsLpse
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: de-DE


> I'd prefer if the move was done in a separate commit, to clarify the
> changes done.

Fine for me, done.

> It looks like this was fixed upstream (thanks!).  Can we apply that
> patch instead?
Done.
> I did not look closely at the changes due to the mega-diff, but I trust=

> your judgement here.  :-)


:-))

Pushed as 38988dbecf9e1ee83258c5625bb8fdacff82ed3d

--=20
Regards
Hartmut Goebel

| Hartmut Goebel          | h.goebel@HIDDEN               |
| www.crazy-compilers.com | compilers which you thought are impossible |



--QxiaznDpQsKhB9N70L0ew4zm4tTgsLpse--

--ylKmkp6ypi5aXVoYQPbSDfPiVKx17ZHKe
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE1K2LnBZ7dXxPCOh3e3UoEb93O2UFAl3IfxoACgkQe3UoEb93
O2VqcA//WqZq2TreVXG7GZqFvXl6ET4SigFdaT+Nf5JnBvRJEUvz4qW91i8x53Xk
oh/b+qeFF4JX9AiyLfwUmiXY++cEIHMiYhruWQk1AAS+NTDPzOCH9xZLcTy9I66g
VEF14QAAMnUTwt0q322DLndT0lIcw2y4p8fqMJSdviXg0RYNRVDHIvt1Js3Hu2Pm
NkS8xqOmkHJp3WVp6EuVSd12uVOMSep1Yw8bRp0de1zlINxshMPSOn1Wmtrl7fxO
qAQ/wbBscIS82XqSEooXxloKRejE/ocsKU8QtznVP9BdUoMImIxDO/zZTU8nGKd4
rCngQPMt26KtV8QXxMiSUMKsb/dmNlaXVsaUy8lhIO8it00vB1SUiqvtGFrm9iJT
Ub+mbA+nQs2Ha26HynuXpLQzAYnWMzI/WEgnIYCgJDpUCPFb5QUYujfrGybSmqFh
bex9U3HmdyzyCdXqEEc8erv9bjXMYDWNv2o+QgOBKReN/s6XjPIWdFeuvft9R5fU
HGDslPpoyWn060FOV52qwBiCIzNi+z5sVOUMDucijmqPUQVwqpaGT6fRDXtJdxfY
PkAgX36/QVWZ0QDYaAMmnxIdZWlXjeMW4WP0vcREkYiSdpd+w3VaJAzSCXIUKTlZ
BrBj9YZ+lmKIAmSjF7dtw8aLN9x3e7BabpbvnsHJ+UArzH+ah8c=
=2b4A
-----END PGP SIGNATURE-----

--ylKmkp6ypi5aXVoYQPbSDfPiVKx17ZHKe--




Notification sent to Hartmut Goebel <h.goebel@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Hartmut Goebel <h.goebel@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 9 Nov 2019 23:09:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 18:09:27 2019
Received: from localhost ([127.0.0.1]:50457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTZrC-00014o-U5
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 18:09:27 -0500
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:46811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iTZrB-00014a-IY
 for 38030 <at> debbugs.gnu.org; Sat, 09 Nov 2019 18:09:26 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id DE0323FA;
 Sat,  9 Nov 2019 18:09:18 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Sat, 09 Nov 2019 18:09:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=xFN67FDGgTEo2qL+JwlQcYWkLi
 A/EWAVRSw04bsf4u8=; b=nCgymWZsIfAW4bn8XHuks4Jw+HcZ2fyAmzLPRzUG6T
 WqEcvSTKQCXe1Y1bxxWr6qUf7fdyBqvuUQm0/Vg8EpnYC6n6gu04+SgzgVIPc7p2
 F/kgHbMScDyrcpFccyk5M34NxPMWH3kQKFEgml8o3qfUPT8uQ5Gd/YGg9/el9ZaO
 1F+Dyyh9sHo1eVoFd7D7zq3633nKwCfXrpObs4Vh3nr1A5ZwSVvAuswpmrOkjLyJ
 9Qxzi0ePdez6mnfIMLG+aRVzs6O6u/kcNG1eqcO09yg7+qjK5Rh16FSByxLaxnAj
 09nP4aNyZUhktezftPk2J1YqYe+dKrFpRP/0YfI0FW/A==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=xFN67F
 DGgTEo2qL+JwlQcYWkLiA/EWAVRSw04bsf4u8=; b=tEmOxstdhtvI14hx0JKuCq
 m3hgVylQcNaV8VVkjJI1/GCVVKoO3J5JMa5JQ6f5yih0orGuqFCSccF4zBK+NbSP
 3GhKyzzfXMTOrbilxeBXwxWIPGyFB6e+TZoBwwvrNf5kfd3iU7TUT7yUNcDhnJg5
 DCtMySRUd/jvpP0E9hLSQnoPC/DUk7XTVjllbukA+Lwih98fqHquTJtEZ77Uwalp
 abyBjnONJiDFOpgykGXs9IXA/rizVJQgSOiuqfhwJvKm4BbWpyiKULITUienZD+Q
 agmaq+0cjd/0D8ePdh2Y6x/qwNqptHF7BIMNsAEM1SPb5ZDE54/4JR5claVurk1g
 ==
X-ME-Sender: <xms:HkfHXbtLmBr182KZ7vVdpkZzeg2cL1EG_aQ0Tsg5E-ewhoH78ud4Qw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedruddvgedgtdehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtreejnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucffohhmrg
 hinhepkhguvgdrohhrghenucfkphepkeegrdehvddrvddviedruddtvdenucfrrghrrghm
 pehmrghilhhfrhhomhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomhenucevlhhush
 htvghrufhiiigvpedt
X-ME-Proxy: <xmx:HkfHXYlv6HkBL456xctbYuxB2sM-4jP3HDWphKbGu_RmZo9fYW1LLA>
 <xmx:HkfHXanfwoRvUxLBzFYr1uD8r0QqRSXV8CMyv6Z6bXdWCmOGuDq9DA>
 <xmx:HkfHXTisE-20MCIC2ZFVlc1W2RprRjDKTak5jRv-x_YKbgv8m49-GA>
 <xmx:HkfHXblGPrnoH6JGYBVJW9VdZE1PSINUwzaOg0ugUTgDKooJna4kZQ>
Received: from localhost (84-52-226.102.3p.ntebredband.no [84.52.226.102])
 by mail.messagingengine.com (Postfix) with ESMTPA id C195480059;
 Sat,  9 Nov 2019 18:09:17 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Hartmut Goebel <h.goebel@HIDDEN>, 38030 <at> debbugs.gnu.org
Subject: Re: [bug#38030] [Patch 13/13 v2] gnu: kpmcore: Update to 4.0.1
In-Reply-To: <20191105205530.20969-1-h.goebel@HIDDEN>
References: <20191102090751.17944-1-h.goebel@HIDDEN>
 <20191105205530.20969-1-h.goebel@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 10 Nov 2019 00:09:16 +0100
Message-ID: <875zjsmyub.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hartmut Goebel <h.goebel@HIDDEN> writes:

> Also move to kde.scm, since it is not a framework part.
>
> * gnu/packages/kde-frameworks.scm(kpmcore): Move from here =E2=80=A6
> * gnu/packages/kde.scm(kpmcore): =E2=80=A6 to here, update to 4.0.1; [inp=
uts]: Add
>   qttools, remove kiconthemes, kservice, libatasmart, parted; [arguments]=
: New
>   element.
> ---
>  gnu/packages/kde-frameworks.scm | 33 ------------------------------
>  gnu/packages/kde.scm            | 36 +++++++++++++++++++++++++++++++++
>  2 files changed, 36 insertions(+), 33 deletions(-)

I'd prefer if the move was done in a separate commit, to clarify the
changes done.

[...]

> +    (arguments
> +     ;; tests segfault, see <https://bugs.kde.org/show_bug.cgi?id=3D4138=
51>,
> +     ;; remaining "testsmart" hangs. As of 4.0.1 tests are a farce anywa=
y.
> +     '(#:tests? #f))

It looks like this was fixed upstream (thanks!).  Can we apply that
patch instead?

I did not look closely at the changes due to the mega-diff, but I trust
your judgement here.  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl3HRxwACgkQoqBt8qM6
VPrcxAf/YGt/RFWZrJ+8XFiT1YntCAd1243bzVIhN6OhSJa+zuHZ4c3y09xodDeA
q+B+7YT6kVgFsCOMMdLIarkZF62zK96ThvPeSRSLK4JVeU5FdTO1wJ9g+R0+Cx+m
cJFIQt4DRlJP/raIc2JzQtM6tLZvg+3mOAJ6V/KVbv+37Bb4JUxXx1mB+W0DIiOs
90WtJqcFF3xznqfQeGoU+j0HawzkC3EnsabnAyFX5BVuRL6pgpGG9WOzFxMYzEiV
ku8YTmB94si6Ae6tqe2GHruJO3ngrgTYEY7hBtBY9oXCteS+BSs/+82kXowHR3or
1SlvOt10YZnVFcdfUcbwjKMz46oWyQ==
=U10f
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 8 Nov 2019 10:48:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 05:48:30 2019
Received: from localhost ([127.0.0.1]:44837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT1oc-00085H-Gt
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 05:48:30 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:33707)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iT1oa-000858-C6
 for 38030 <at> debbugs.gnu.org; Fri, 08 Nov 2019 05:48:28 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 478cSW5DX3z1rTY6;
 Fri,  8 Nov 2019 11:48:27 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 478cSW4Nhkz1qqkR;
 Fri,  8 Nov 2019 11:48:27 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 4ya_424yIkCA; Fri,  8 Nov 2019 11:48:26 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-249.dynamic.mnet-online.de [188.174.60.249])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS;
 Fri,  8 Nov 2019 11:48:26 +0100 (CET)
Received: from [192.168.110.31] (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 4397E60154;
 Fri,  8 Nov 2019 11:48:26 +0100 (CET)
Subject: Re: [bug#38030] [PATCH 00/13] Update KDE frameworks and other KDE
 stuff
From: Hartmut Goebel <h.goebel@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>, 38030 <at> debbugs.gnu.org
References: <20191102090751.17944-1-h.goebel@HIDDEN>
 <87imo1os72.fsf@HIDDEN>
 <74ffdaab-3c88-6d7a-a434-91a4a315e3ae@HIDDEN>
Autocrypt: addr=h.goebel@HIDDEN; prefer-encrypt=mutual; keydata=
 mQINBFJQM3oBEACiUXmMppc3+A7JpF3lPz8O/mRhfz1U6F4EOTlacTrCcm7Xg5U2JsPPNapV
 r5+vHnKBK+xbaX3s/A/G+SwrUZhi1X1HRnSNY1CqL8CT7rZmOtfjg4ExnOuCjie2bKhb9JKm
 lJ7MrNimIbNQoX1mRcQ4VMEflhyWfaPGbT73siuMkbr020ExhzW8T18JIC01SgWMULYMBXOB
 oGY21am/vaTFCK8bym1P4HVN8i64uOWL0agkAMHbju6SZtG2fYJ68eS3P/97bXRg1pveEdpa
 FgaFZhquecw4WdedwLwt1xNcjAg/p6tN73W3asEZTgMHa+iNzbJgcyhWpci09wQZfZ1uL0Hd
 M+ohng38ccgu9hJx6YzCN7Fe14JooKbPukG/WfClAgAzZSHRKpS4zGdGlg6D6EWayyWWoLR3
 KoMA4LIIlaQbqaOhfe85b4mNgB1hqd0uRTHOah/6T+FUoSQ1IAeKLIDqj6rW7X4ISRn1CXGS
 LGDn2QKqR3KtU3cLf8hAeDeO7Qe1jTvLrG1Mfca8lEmC7/yN1gI7L4/cs6lhmXUgMaevuxss
 BxO2kkh0OS8HVFf+QQ7LZ5vt91yQVT9HVvOuVob0YtG+3rvkpMaHQilKloNoEkmMiHpwypBa
 IfAC6NP9smgionvvmQ5RWSEaH5/pfSUAYbqzWbqDxtqEF/mPOwARAQABtC1IYXJ0bXV0IEdv
 ZWJlbCA8aC5nb2ViZWxAY3JhenktY29tcGlsZXJzLmNvbT6JAj0EEwEKACcCGwMCHgECF4AF
 CwkIBwMFFQoJCAsFFgIDAQAFAluyK5QFCQ0kXxEACgkQe3UoEb93O2XMlw//Z2/aXbZO3lJv
 uvfDBU3fJBKxp87EButnuwudFyaNupKxO13R7rBKB/Oti/rNP7IlK56WwU10ldK6C1PYnqru
 5L1VCjWRi2Jd/XlvgXlc1jqstbM7NfU7pGOzctJGYpKh+7b1EdSM4V1KnDKcbKicLKC7zS+d
 HUdsch5w5XJj+pZRE4R0KEA/vEBB4ba+m+b59WqzaLin2pOqyo4Ff9o5uVgxlNrLIJQsg74T
 MTQP8khyDLfmyiN42VVkOBOIPMLA8ljEA1I7I4WwW3bT3mxOXHUExey/YsOdpqYX+kh7u/tj
 7kbjKQbdCwdwUqSOPLmW9/9Wxyf2/xi+3lCvxzwPPElnK62yKlxLhVMt+Ah3J2QeLmrVGG5X
 PQzplrmQ6ptpEC9evrK3ALBJ+UGGxyyLp7sPb0SbDq70tZLRtbcE6QnpQA2IQIPTTy40lGVy
 3a3iXiDM7hzbljWS0XSaEHoZ/WdgKLV+OzVZ9vrhP+7HrK7hEzdYqCvNfcW6bk2KrMN0RxBB
 OAbiRne8E0iTffh9uTyW7sAE0UDA9J3KtD3fpkld9cQrhwUVsjuPfbCqnhCk0B7ro1OR0DHB
 bgMVEylEsACnHEU4XWvo+U+0MgJtDQjzIy+XZfXDCs1VOy+murgcs0YIFqesyYOaaF1eP1S0
 Yr18n/pfAPCFfg0rhMQUyoK5Ag0EUlAzegEQAL3lOz+uhHudEvovJVdExl+MTHLpYcajA0QL
 zDXe0jiAYdB+Jpvm7CAKani61/eo1SnHyRORELjxl/fL3ytjg3yRvVAM2I+xg7lIB4qXL5rR
 5K8iF4px/jYV2CBIiwOKQ6gVEVk2hpl/tPqP3QdOKXdLu3sOM1Ygg3PN5fc+I7B6luchx6Bu
 7NAR7nWKn6D1NdOI1UZL6Dr6Me/6hNVJBGvDF3Fm2x0CoIHujFksfOxZtwoZMXn13N18ZDyQ
 OMA89eHNQlFri9i5xG3laMAW2M0bozf+FwTBXomIWkT2Tkj3omW8ZIcfags2SpRkQl45pE65
 nLKK36eRNoNbBovqKalMyhKstFTpIjjTZRMI5EZ87j7gYX/ghCss2LZz4X0WfvH6lYt8Yvjv
 I9Stl4ENvNukQZSZgIpaaAgZceXyuLaj+FY1cVXK3AoTh+lordfXr3TSBxlb1z7cNHqsI9vd
 RwsfC+Ng+yRrNGnNw008fgDq9fhaZus1krtPQzTyJzMw9xnLKuHhHFbkHDaW1Gb9dnECBF8a
 T0kjffgENEa5K6bfyAGGZ5zikBuK9EZdIQ0KgLP55hdnY7PigXazSsvYxVB62+B0kRYxjyM7
 UAX55+QeD7pkPhBmRozeNYZzQxu9cyeD83e1Yf7ddnBkkLXVyTzKIutGh2R2BkcmkbBKTv27
 ABEBAAGJAjwEGAEKACYCGwwWIQTUrYucFnt1fE8I6Hd7dSgRv3c7ZQUCW7IswAUJDSRgPgAK
 CRB7dSgRv3c7ZbFUD/97iHXgPYSZWyZ9r8pgpRuyoIK2TKmClUxck1a0WUkTMjzi0gW4kOIj
 2wNOUnsRqioxOVXAg0R9ix1l6+LBC8+m/VFoR37BYQsC5WrzkmeaFChrBPs+YlND0V7TWNq0
 elBvsNuApVxSOzaJuxCnH9WLe3s4fIveymScNAZOm31DHgmkDcb1/NXg97nohqSeW+k3eQbh
 borMRT3kMaXrPTI8qal9TsYf6KhfPi61fbnGW6bNJ0LnWQj2b7nb6nIR99cr0sNymqOsC6Gq
 0yHhTceRl2/DRBe+QCxoiFKs1s6f7Af+U9r/JkHfdOLCRxjmAyl22zlhmBeNlGSvDbJqy5AE
 7fKo1/mVQ2CNskF0BcOhrrntVf4A1gy3OlIXnCV//HH6w7qRBpw0inpD5c9Ny20aNdo8mS3y
 szcGZLczkdx8qzYEXBCO8zSDiRllrf6e8H5AaQdtHInxQ2Ywdqz/Ho81irbcPaHwI7P9/qvm
 zYnPZ3ULNlrI/+mq0oYkCB8oB9HW0C/YGZ/nIYY0vxDoy6n6EhEzntdAjF6Pav+QHB216fBs
 LMLs8X4+PXOc+MaAmQQTyTF9C8vfQk86E4eRmQErYw0aYVR7bUqyYfX8e2c5geqeSm6O+Brv
 6LQtDbOJIcmJW1NS8XVmDG9JmkbtYqhnRDQMT+YFJircfDYmUvL4Ww==
Organization: crazy-compilers.com
Message-ID: <cd17a55c-0569-1b42-9c76-450ce9aa3b84@HIDDEN>
Date: Fri, 8 Nov 2019 11:48:23 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.1
MIME-Version: 1.0
In-Reply-To: <74ffdaab-3c88-6d7a-a434-91a4a315e3ae@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="xA3Lx2UOiGhNNKKtTSsNBvJG5ocHQr2w4"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--xA3Lx2UOiGhNNKKtTSsNBvJG5ocHQr2w4
Content-Type: multipart/mixed; boundary="3fQZdlhPls0dbgSlA3UFu2yz1A2w71U3N";
 protected-headers="v1"
From: Hartmut Goebel <h.goebel@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>, 38030 <at> debbugs.gnu.org
Message-ID: <cd17a55c-0569-1b42-9c76-450ce9aa3b84@HIDDEN>
Subject: Re: [bug#38030] [PATCH 00/13] Update KDE frameworks and other KDE
 stuff
References: <20191102090751.17944-1-h.goebel@HIDDEN>
 <87imo1os72.fsf@HIDDEN>
 <74ffdaab-3c88-6d7a-a434-91a4a315e3ae@HIDDEN>
In-Reply-To: <74ffdaab-3c88-6d7a-a434-91a4a315e3ae@HIDDEN>

--3fQZdlhPls0dbgSlA3UFu2yz1A2w71U3N
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: en-US

Am 05.11.19 um 21:58 schrieb Hartmut Goebel:

Okay with the updated patch for kpmcore?
<http://issues.guix.gnu.org/issue/38030#18>

(I will also remove kdevelop from *this* patchset, as there is more to
do for kdevelop, see <http://issues.guix.gnu.org/issue/38099>.)

--=20
Regards
Hartmut Goebel

| Hartmut Goebel          | h.goebel@HIDDEN               |
| www.crazy-compilers.com | compilers which you thought are impossible |



--3fQZdlhPls0dbgSlA3UFu2yz1A2w71U3N--

--xA3Lx2UOiGhNNKKtTSsNBvJG5ocHQr2w4
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE1K2LnBZ7dXxPCOh3e3UoEb93O2UFAl3FR/cACgkQe3UoEb93
O2WY/Q//bhNoERA2aDFY4rfY8EyGB5axTq2BBK0KoNXqqdOtn+14sdDVSJ6yEuTc
5C4eMT6TgR7X2vIYhrGPncBjcnBfhBvjnApwJgWLTO1M236QT7ZQVM6FVXYHisNw
XHYum1EL5MGvM2rva65t00l6RvX2rARSB9uwzsnmxRVMkOOBDyoP7WO/UkKDKHUA
5PvwW5W8ya2r+UoewJhkTnbzV9skLtMggFUs4grgOsUOHTSe6338AcW7EzaTHIVy
iq74kDPjkqx4gFalTg6aG/9P0DU5KR6FtAvqPD3VYLmH1b8Tzg5Itavrt58UqWmu
9QzOKPhZJhq4CGgxfEigbUABSwYmiL6Yj4l6iumnhS1ATnpY9cu1kZeAeXcFxVy3
l70+piO24vsBkPGS86dm6kOk9iKnZfURwZX7RPMgm+coLUSf+Dwwnt5/6vIPRYUC
U/nW8GL4ax9oZnBWMTU8XO/DngxLbRxTnP05YWu9Wd6e9XthO891d92wS8nyDmZt
FiHBAieTEm0wdoxkhhOW6bv/ggj5bp+SglZYbM2u3v8ETKyc2Av37Nd/K2Vu9ojD
NYApotxySQdagPP4TJNXlCXbTniUUAInmvmmIUmT5O2dZn8ibRqpArfaWGW7PHIX
kV3928eeFT/bi2L8UsCu3HDJVlENozeH6OXpwHjKuVyVSBhJrlA=
=eYhE
-----END PGP SIGNATURE-----

--xA3Lx2UOiGhNNKKtTSsNBvJG5ocHQr2w4--




Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 5 Nov 2019 20:59:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 05 15:59:02 2019
Received: from localhost ([127.0.0.1]:39119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iS5uo-0001OI-Jh
	for submit <at> debbugs.gnu.org; Tue, 05 Nov 2019 15:59:02 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:53764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iS5un-0001Nu-AU
 for 38030 <at> debbugs.gnu.org; Tue, 05 Nov 2019 15:59:01 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 47728N4ZwSz1rVvq;
 Tue,  5 Nov 2019 21:59:00 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 47728N4Gk0z1qqkW;
 Tue,  5 Nov 2019 21:59:00 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id E663FHDM1twh; Tue,  5 Nov 2019 21:58:59 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-49-229.dynamic.mnet-online.de [188.174.49.229])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS;
 Tue,  5 Nov 2019 21:58:59 +0100 (CET)
Received: from thisbe.goebel-consult.de (hermia.goebel-consult.de
 [192.168.110.7])
 by hermia.goebel-consult.de (Postfix) with ESMTP id DD23D60089;
 Tue,  5 Nov 2019 21:58:59 +0100 (CET)
Subject: Re: [bug#38030] [PATCH 00/13] Update KDE frameworks and other KDE
 stuff
To: Marius Bakke <mbakke@HIDDEN>, 38030 <at> debbugs.gnu.org
References: <20191102090751.17944-1-h.goebel@HIDDEN>
 <87imo1os72.fsf@HIDDEN>
From: Hartmut Goebel <h.goebel@HIDDEN>
Autocrypt: addr=h.goebel@HIDDEN; prefer-encrypt=mutual; keydata=
 mQINBFJQM3oBEACiUXmMppc3+A7JpF3lPz8O/mRhfz1U6F4EOTlacTrCcm7Xg5U2JsPPNapV
 r5+vHnKBK+xbaX3s/A/G+SwrUZhi1X1HRnSNY1CqL8CT7rZmOtfjg4ExnOuCjie2bKhb9JKm
 lJ7MrNimIbNQoX1mRcQ4VMEflhyWfaPGbT73siuMkbr020ExhzW8T18JIC01SgWMULYMBXOB
 oGY21am/vaTFCK8bym1P4HVN8i64uOWL0agkAMHbju6SZtG2fYJ68eS3P/97bXRg1pveEdpa
 FgaFZhquecw4WdedwLwt1xNcjAg/p6tN73W3asEZTgMHa+iNzbJgcyhWpci09wQZfZ1uL0Hd
 M+ohng38ccgu9hJx6YzCN7Fe14JooKbPukG/WfClAgAzZSHRKpS4zGdGlg6D6EWayyWWoLR3
 KoMA4LIIlaQbqaOhfe85b4mNgB1hqd0uRTHOah/6T+FUoSQ1IAeKLIDqj6rW7X4ISRn1CXGS
 LGDn2QKqR3KtU3cLf8hAeDeO7Qe1jTvLrG1Mfca8lEmC7/yN1gI7L4/cs6lhmXUgMaevuxss
 BxO2kkh0OS8HVFf+QQ7LZ5vt91yQVT9HVvOuVob0YtG+3rvkpMaHQilKloNoEkmMiHpwypBa
 IfAC6NP9smgionvvmQ5RWSEaH5/pfSUAYbqzWbqDxtqEF/mPOwARAQABtC1IYXJ0bXV0IEdv
 ZWJlbCA8aC5nb2ViZWxAY3JhenktY29tcGlsZXJzLmNvbT6JAj0EEwEKACcCGwMCHgECF4AF
 CwkIBwMFFQoJCAsFFgIDAQAFAluyK5QFCQ0kXxEACgkQe3UoEb93O2XMlw//Z2/aXbZO3lJv
 uvfDBU3fJBKxp87EButnuwudFyaNupKxO13R7rBKB/Oti/rNP7IlK56WwU10ldK6C1PYnqru
 5L1VCjWRi2Jd/XlvgXlc1jqstbM7NfU7pGOzctJGYpKh+7b1EdSM4V1KnDKcbKicLKC7zS+d
 HUdsch5w5XJj+pZRE4R0KEA/vEBB4ba+m+b59WqzaLin2pOqyo4Ff9o5uVgxlNrLIJQsg74T
 MTQP8khyDLfmyiN42VVkOBOIPMLA8ljEA1I7I4WwW3bT3mxOXHUExey/YsOdpqYX+kh7u/tj
 7kbjKQbdCwdwUqSOPLmW9/9Wxyf2/xi+3lCvxzwPPElnK62yKlxLhVMt+Ah3J2QeLmrVGG5X
 PQzplrmQ6ptpEC9evrK3ALBJ+UGGxyyLp7sPb0SbDq70tZLRtbcE6QnpQA2IQIPTTy40lGVy
 3a3iXiDM7hzbljWS0XSaEHoZ/WdgKLV+OzVZ9vrhP+7HrK7hEzdYqCvNfcW6bk2KrMN0RxBB
 OAbiRne8E0iTffh9uTyW7sAE0UDA9J3KtD3fpkld9cQrhwUVsjuPfbCqnhCk0B7ro1OR0DHB
 bgMVEylEsACnHEU4XWvo+U+0MgJtDQjzIy+XZfXDCs1VOy+murgcs0YIFqesyYOaaF1eP1S0
 Yr18n/pfAPCFfg0rhMQUyoK5Ag0EUlAzegEQAL3lOz+uhHudEvovJVdExl+MTHLpYcajA0QL
 zDXe0jiAYdB+Jpvm7CAKani61/eo1SnHyRORELjxl/fL3ytjg3yRvVAM2I+xg7lIB4qXL5rR
 5K8iF4px/jYV2CBIiwOKQ6gVEVk2hpl/tPqP3QdOKXdLu3sOM1Ygg3PN5fc+I7B6luchx6Bu
 7NAR7nWKn6D1NdOI1UZL6Dr6Me/6hNVJBGvDF3Fm2x0CoIHujFksfOxZtwoZMXn13N18ZDyQ
 OMA89eHNQlFri9i5xG3laMAW2M0bozf+FwTBXomIWkT2Tkj3omW8ZIcfags2SpRkQl45pE65
 nLKK36eRNoNbBovqKalMyhKstFTpIjjTZRMI5EZ87j7gYX/ghCss2LZz4X0WfvH6lYt8Yvjv
 I9Stl4ENvNukQZSZgIpaaAgZceXyuLaj+FY1cVXK3AoTh+lordfXr3TSBxlb1z7cNHqsI9vd
 RwsfC+Ng+yRrNGnNw008fgDq9fhaZus1krtPQzTyJzMw9xnLKuHhHFbkHDaW1Gb9dnECBF8a
 T0kjffgENEa5K6bfyAGGZ5zikBuK9EZdIQ0KgLP55hdnY7PigXazSsvYxVB62+B0kRYxjyM7
 UAX55+QeD7pkPhBmRozeNYZzQxu9cyeD83e1Yf7ddnBkkLXVyTzKIutGh2R2BkcmkbBKTv27
 ABEBAAGJAjwEGAEKACYCGwwWIQTUrYucFnt1fE8I6Hd7dSgRv3c7ZQUCW7IswAUJDSRgPgAK
 CRB7dSgRv3c7ZbFUD/97iHXgPYSZWyZ9r8pgpRuyoIK2TKmClUxck1a0WUkTMjzi0gW4kOIj
 2wNOUnsRqioxOVXAg0R9ix1l6+LBC8+m/VFoR37BYQsC5WrzkmeaFChrBPs+YlND0V7TWNq0
 elBvsNuApVxSOzaJuxCnH9WLe3s4fIveymScNAZOm31DHgmkDcb1/NXg97nohqSeW+k3eQbh
 borMRT3kMaXrPTI8qal9TsYf6KhfPi61fbnGW6bNJ0LnWQj2b7nb6nIR99cr0sNymqOsC6Gq
 0yHhTceRl2/DRBe+QCxoiFKs1s6f7Af+U9r/JkHfdOLCRxjmAyl22zlhmBeNlGSvDbJqy5AE
 7fKo1/mVQ2CNskF0BcOhrrntVf4A1gy3OlIXnCV//HH6w7qRBpw0inpD5c9Ny20aNdo8mS3y
 szcGZLczkdx8qzYEXBCO8zSDiRllrf6e8H5AaQdtHInxQ2Ywdqz/Ho81irbcPaHwI7P9/qvm
 zYnPZ3ULNlrI/+mq0oYkCB8oB9HW0C/YGZ/nIYY0vxDoy6n6EhEzntdAjF6Pav+QHB216fBs
 LMLs8X4+PXOc+MaAmQQTyTF9C8vfQk86E4eRmQErYw0aYVR7bUqyYfX8e2c5geqeSm6O+Brv
 6LQtDbOJIcmJW1NS8XVmDG9JmkbtYqhnRDQMT+YFJircfDYmUvL4Ww==
Organization: crazy-compilers.com
Message-ID: <74ffdaab-3c88-6d7a-a434-91a4a315e3ae@HIDDEN>
Date: Tue, 5 Nov 2019 21:58:50 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.1
MIME-Version: 1.0
In-Reply-To: <87imo1os72.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="aEV7UQ5RGAzaf2VEp4i6aYwP3yNdORUfh"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--aEV7UQ5RGAzaf2VEp4i6aYwP3yNdORUfh
Content-Type: multipart/mixed; boundary="LF77iDZIWjD8njMHxww4EPEDLZbdifXj1";
 protected-headers="v1"
From: Hartmut Goebel <h.goebel@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>, 38030 <at> debbugs.gnu.org
Message-ID: <74ffdaab-3c88-6d7a-a434-91a4a315e3ae@HIDDEN>
Subject: Re: [bug#38030] [PATCH 00/13] Update KDE frameworks and other KDE
 stuff
References: <20191102090751.17944-1-h.goebel@HIDDEN>
 <87imo1os72.fsf@HIDDEN>
In-Reply-To: <87imo1os72.fsf@HIDDEN>

--LF77iDZIWjD8njMHxww4EPEDLZbdifXj1
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: en-US

Thanks for the review.

I discovered that the kpmcore test suite fails terrible and just posted
an updated patch.
The tests either seg-fault or are known to not work :-( Thus i disabled
all tests.

--=20
Regards
Hartmut Goebel

| Hartmut Goebel          | h.goebel@HIDDEN               |
| www.crazy-compilers.com | compilers which you thought are impossible |



--LF77iDZIWjD8njMHxww4EPEDLZbdifXj1--

--aEV7UQ5RGAzaf2VEp4i6aYwP3yNdORUfh
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE1K2LnBZ7dXxPCOh3e3UoEb93O2UFAl3B4pAACgkQe3UoEb93
O2VHDxAAmMc0PV/4PqRpIdaKAbimolzXywKlfERS/g6M5YhZ3/YB4gQLX1Hzmpqh
PDemF98BhBzz6GcrOgxPUOdAPJXzNUuyioF5u2PQ3os/g42ObTYuKr9YOr6thNLX
mFC5YROrLzVm1fqrkP1t3ugDsad3twQztymFcFE2UVXFX59GGkGEfO3e53GdaG+d
pXyWH75eC5gXlFD1lxJK2+rzTKF1zbRJi0ea+er8a1+DAUlGfPuzvX6n2jLx9sVx
AUHDh4bbVUVgnBn7WafZmSAZWEJC5wUcQUeEW8K5XYrOvGO0HIDeEJbLyAZQqN8K
s7B8jvhTBYpUkC1VSQSPWaf02WfD6UDEC7p2GA6/HaebSBJ3mw/uLjy3TMKK9N+q
vzsYVHFoZ+IpMToApEAcNdPyHDUKmcM6mTaok+HS/MZJ9r5BHxniRElMe//STj4X
OP3lh7iEBIxppab9rc18gJi1DiT/PHMzvRBcnFfS/emDDTfOKRS3Wkv5aTYw+71v
Whw6oIewt8/R69jzA2MVuaU054J4e5HTY7nG0tYrQq5XM3ewVH/AXmQiqMIDR3Fn
eLiuNqSyhcz/J/xfsKG3hzGRJHKyGauC3h7s297q8gc403V/H+yr+9nJwQClTXut
CFYY4SAujblUPzxPWZv2wmo33wfFOkhRoTB2qULFLDLC1JZl93I=
=2U66
-----END PGP SIGNATURE-----

--aEV7UQ5RGAzaf2VEp4i6aYwP3yNdORUfh--




Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 5 Nov 2019 20:55:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 05 15:55:48 2019
Received: from localhost ([127.0.0.1]:39115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iS5rZ-0001Hy-3v
	for submit <at> debbugs.gnu.org; Tue, 05 Nov 2019 15:55:48 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:46142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iS5rV-0001Hl-Uu
 for 38030 <at> debbugs.gnu.org; Tue, 05 Nov 2019 15:55:38 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 47724R3mhqz1rTp9
 for <38030 <at> debbugs.gnu.org>; Tue,  5 Nov 2019 21:55:35 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 47724R0W5Yz1qqkW
 for <38030 <at> debbugs.gnu.org>; Tue,  5 Nov 2019 21:55:35 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id BegJ-SrRMg3R for <38030 <at> debbugs.gnu.org>;
 Tue,  5 Nov 2019 21:55:33 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-49-229.dynamic.mnet-online.de [188.174.49.229])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Tue,  5 Nov 2019 21:55:33 +0100 (CET)
Received: from thisbe.fritz.box (unknown [192.168.110.24])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 4B70460089
 for <38030 <at> debbugs.gnu.org>; Tue,  5 Nov 2019 21:55:33 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [Patch 13/13 v2] gnu: kpmcore: Update to 4.0.1
Date: Tue,  5 Nov 2019 21:55:30 +0100
Message-Id: <20191105205530.20969-1-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Also move to kde.scm, since it is not a framework part.

* gnu/packages/kde-frameworks.scm(kpmcore): Move from here …
* gnu/packages/kde.scm(kpmcore): … to here, update to 4.0.1; [inputs]: Add
  qttools, remove kiconthemes, kservice, libatasmart, parted; [arguments]: New
  element.
---
 gnu/packages/kde-frameworks.scm | 33 ------------------------------
 gnu/packages/kde.scm            | 36 +++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+), 33 deletions(-)

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index d4f2ccc903..96aba546aa 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -41,7 +41,6 @@
   #:use-module (gnu packages calendar)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
-  #:use-module (gnu packages disk)
   #:use-module (gnu packages docbook)
   #:use-module (gnu packages flex)
   #:use-module (gnu packages freedesktop)
@@ -214,38 +213,6 @@ Phonon-GStreamer is a backend based on the GStreamer multimedia library.")
     ;; license: source files mention "either version 2.1 or 3"
     (license (list license:lgpl2.1 license:lgpl3))))
 
-(define-public kpmcore
-  (package
-    (name "kpmcore")
-    (version "3.3.0")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append
-                    "mirror://kde/stable/kpmcore"
-                    "/" version "/src/"
-                    name "-" version ".tar.xz"))
-              (sha256
-               (base32
-                "0s6v0jfrhjg31ri5p6h9n4w29jvasf5dj954j3vfpzl91lygmmmq"))))
-    (build-system cmake-build-system)
-    (native-inputs
-     `(("extra-cmake-modules" ,extra-cmake-modules)
-       ("pkg-config" ,pkg-config)))
-    (inputs
-     `(("kconfigwidgets" ,kconfigwidgets)
-       ("kiconthemes" ,kiconthemes)
-       ("kio" ,kio)
-       ("ki18n" ,ki18n)
-       ("kservice" ,kservice)
-       ("libatasmart" ,libatasmart)
-       ("parted" ,parted)
-       ("qtbase" ,qtbase)
-       ("util-linux" ,util-linux)))
-    (home-page "https://community.kde.org/Frameworks")
-    (synopsis "Library for managing partitions")
-    (description "Library for managing partitions.")
-    (license license:gpl3+)))
-
 
 ;; Tier 1
 ;;
diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 6193d6eb07..8cc4e145b4 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -1,10 +1,12 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2016, 2017, 2019 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright © 2016 David Craven <david@HIDDEN>
 ;;; Copyright © 2016, 2017 Thomas Danckaert <post@HIDDEN>
 ;;; Copyright © 2017, 2018 Mark Meyer <mark@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Gábor Boskovits <boskovits@HIDDEN>
 ;;; Copyright © 2019 Nicolas Goaziou <mail@HIDDEN>
+;;; Copyright © 2018, 2019 Hartmut Goebel <h.goebel@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -42,6 +44,7 @@
   #:use-module (gnu packages image)
   #:use-module (gnu packages kde-frameworks)
   #:use-module (gnu packages kde-plasma)
+  #:use-module (gnu packages linux)
   #:use-module (gnu packages llvm)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages pdf)
@@ -464,6 +467,39 @@ including SSL/TLS, X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart
 cards.")
     (license license:lgpl2.1)))
 
+(define-public kpmcore
+  (package
+    (name "kpmcore")
+    (version "4.0.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://kde/stable/kpmcore"
+                    "/" version "/src/"
+                    name "-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1sslkwcj2cyrn7bpjdjdwikp1q8wrsxpsg2sxxd8hsairgy7ygh3"))))
+    (build-system cmake-build-system)
+    (arguments
+     ;; tests segfault, see <https://bugs.kde.org/show_bug.cgi?id=413851>,
+     ;; remaining "testsmart" hangs. As of 4.0.1 tests are a farce anyway.
+     '(#:tests? #f))
+    (native-inputs
+     `(("extra-cmake-modules" ,extra-cmake-modules)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("kconfigwidgets" ,kconfigwidgets)
+       ("kio" ,kio)
+       ("ki18n" ,ki18n)
+       ("qtbase" ,qtbase)
+       ("qca" ,qca)
+       ("util-linux" ,util-linux)))
+    (home-page "https://community.kde.org/Frameworks")
+    (synopsis "Library for managing partitions")
+    (description "Library for managing partitions.")
+    (license license:gpl3+)))
+
 (define-public snorenotify
   (package
     (name "snorenotify")
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 3 Nov 2019 16:11:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 11:11:55 2019
Received: from localhost ([127.0.0.1]:34883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRITq-0007HN-OJ
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 11:11:55 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:44303)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iRITp-0007HB-Bz
 for 38030 <at> debbugs.gnu.org; Sun, 03 Nov 2019 11:11:53 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 4D16F21B2C;
 Sun,  3 Nov 2019 11:11:48 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Sun, 03 Nov 2019 11:11:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=LpoHjSPB/EQ0VVGM+dcqNnT9Y2
 /w6H1I8dufKZrRmGk=; b=MnOq9GnaNHF+mzZFJvyWLwBjHVZCPPGbtjvOyMOwHO
 1lE4BOM4naP0Oj8wIWd/If0UvCrbiFjWpy1IeTfmT+mPw9NVhfi4ruHMGL8eMMt8
 PNTk/9bQoHIjwnVEWBXu0NDGjUe/E/MHJB0rEPmqDHH5fElXBsHUGvt3Ex2JHqGK
 61dLcMYiyjNlR98ud32cPI8CnLEmp0LPE7Wd5snDXy/A7mnzQMCyCaoW9h/KEDco
 9GPJ3Jmb0eyH1PG+SpoQJ1A0Ilt9ym14SqDNmb0TGzt8Crjz9EYb4Zlx5oheHzPp
 Yv5XTDAdsfo74K3NgN8TKHjUvP7AJf3D9ik8TJ8InumA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=LpoHjS
 PB/EQ0VVGM+dcqNnT9Y2/w6H1I8dufKZrRmGk=; b=VLhobERPym7R32+Wc2DUx8
 KGbK4TnsUbiu7wl5T7tGvAptJWp4c7JdG1pwKk20TyW4EaS/S654HDAu/E9E62RD
 NZ3x1qG+jVGlwx7P+hZCrN8EN0pQmizzb2JVXc1Q4VmXTHpy2fJy24GR+WzxE29f
 UMdtMgMnNPX1mJHQRBKyBfqEI+eNCW1Fep00dVgPlC0C1kkoctVjyXoBceC/T98c
 S3tvhI2If+pT+uSyyBS+J6wm2wPDtmf970+u6DCU5rFtQBN4SB80U3VAk4mW6T3h
 ckwtGsZ4p+VaZi6dbFS262/YOYECDVP75F0ydNm8AqZIoBm0xLRU+f2WSOGTGAYw
 ==
X-ME-Sender: <xms:Q_y-Xctp1FssTUtyNRIqg-D44PzbvSKze-53JvhrRxdbpjnC1lNcZQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrudduuddgkeejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrudelvddrudehtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedu
X-ME-Proxy: <xmx:Q_y-XaN2FMO2v1YRowWicodN2Vg_FySm8Td2N9qkgBDAPZUv7erB8w>
 <xmx:Q_y-XQolVlj3F2Oc6WluRejTAnc5jqEfhL_QmOiMNoR17xZQIExtqQ>
 <xmx:Q_y-XXFXyxheALgy78-5GTzR1dTb3faW5TzL0Lc3dYk6pG9vwe4D2w>
 <xmx:RPy-XbPneV2UswSaPrUC-m1gdx6dEDJG15xZZrC1Qxx0icDB0LodqQ>
Received: from localhost (ti0006q161-0149.bb.online.no [62.16.192.150])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5C67C3060060;
 Sun,  3 Nov 2019 11:11:47 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Hartmut Goebel <h.goebel@HIDDEN>, 38030 <at> debbugs.gnu.org
Subject: Re: [bug#38030] [PATCH 00/13] Update KDE frameworks and other KDE
 stuff
In-Reply-To: <20191102090751.17944-1-h.goebel@HIDDEN>
References: <20191102090751.17944-1-h.goebel@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 03 Nov 2019 17:11:45 +0100
Message-ID: <87imo1os72.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Hartmut Goebel <h.goebel@HIDDEN> writes:

> Notable major points:
>
> * Update KDE Frameworks to 5.63.0
> * Add framework parts kcalendarcore, kcontacts, syndication.
> * Move kholiday to kde-frameworks.scm since it now is a frameworks part.
> * Move kpmcore to kde.scm, since it is a frameworks part.
> * Update KDE plasma to 5.17 - but we still only have a few plasma packages.
> * Update other KDE packages to current versions.
>
> Hartmut Goebel (13):
>   gnu: phonon: Update to 4.11.1.
>   gnu: phonon-backend-gstreamer: Update to 4.10.0.
>   gnu: kde-frameworks: Update to 5.63.0.
>   gnu: Add kcalendarcore.
>   gnu: Add kcontacts.
>   gnu: Add syndication.
>   gnu: kde plasma: Update to 5.17.0.
>   gnu: libkomparediff2: Update to 19.08.2.
>   gnu: kqtquickcharts: Update to 19.08.2.
>   gnu: kdevelop: Update to 5.4.2.
>   gnu: krita: Update to 4.2.7.1.
>   gnu: ktouch: Update to 19.08.2.
>   gnu: kpmcore: Update to 4.0.1

I skimmed the patches and they LGTM modulo Miguels comments.

Thanks!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl2+/EIACgkQoqBt8qM6
VPq+Qgf/RaeZ7cD1Fu6ZkGYxJ2NY0bgosgxC2T523s+PWUgAkr5gihK06rD1nxnx
dzs8MIdWZS5YwLB8NIHyjZwKG1FQin9hSC0PJyBvQozDvrffv0gObKaT92UGZ2wF
OH5dc8uJwY+Oy4h6MCnoQQzCtt2xpZgqk3MpwcZEBWth0Cei/OtngjwGj8oMOupM
MK6oFDYAm4jqB5hWmJRjGNG3rkdQcVr/OIY7d3Q9fx+18BO88bLeb/vfi94gR35P
VUQ+BDHhvgqRTK7JeHNvr+lnZfa0kPClsLQISrdtYHPRCFzLpjvQpg6Rk8PbAGQT
Lyfrvfw3Bt1+pzkZhA4KKGPCU+NzJg==
=8BC8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 3 Nov 2019 16:08:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 11:08:50 2019
Received: from localhost ([127.0.0.1]:34876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRIQs-0007C6-1W
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 11:08:50 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:43841)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iRIQn-0007Bg-AO
 for 38030 <at> debbugs.gnu.org; Sun, 03 Nov 2019 11:08:45 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 3C549210AF;
 Sun,  3 Nov 2019 11:08:40 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Sun, 03 Nov 2019 11:08:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=13eis7kILmnQfyC7voExIx8Nb0
 EQNypXAZJcT1MjDH0=; b=FaHt5UmwHs5iPDf5CdL/+mxnJphDLEs2UQJmqdVt2a
 /eC/2qJAN07R4YGsLA1rZl8x313ZaL3FRAleLKdVo/nBl4vuNMcyjpbdNrm/yFPx
 /fnxKVgEhFMurdGsTec/KIYzA1PzIfrETh8GR3+8sNVy3HGVgu/tIq9qCXlSG4kK
 8n+KZPu6HN/cUKdT/ndIE82lMvqPbMfl7J2z5ofpydJARAlobbL0DdEJteDMVDcp
 vJWliFZvAIKn1x1g8/9sFs3R8DcPZspAtD3/l+Jp6nhrNVF+RrOjWj9jOD8Hq5gK
 5XYnKeSbGccV9CphblhwQ55BT8Y5JZpkEy5w0N667VEQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=13eis7
 kILmnQfyC7voExIx8Nb0EQNypXAZJcT1MjDH0=; b=NhEnJLwRe++OZTmqqS16x1
 51v6akJNHK+sQTztoSRrvQVfigytCxRbEVJkd+H/cilRmzuuXS6QcRaVygFsWMvL
 v4FGf0W1v//Ik7yom0kywInDBQuqV5t7fPXIOgcQ5oA88ub3rt1NjDfeoTs3s5Fj
 Vyj8S6vC053msBbWZSSt3cb9oZuhr+rtTO/i8w2crLQL+h9XUIt9VFnQW1SgCZB8
 db/KBLN0Kh3Dc90xv7QKyJHPIpuzLcWy1pUVTovgCEmxyIo2YqSmgOQPHZeF0Nl5
 L4jR+jzKJfZtogWC54OHN8x8RYFR2BUK6cfSxvd+KU1brHGe6hQW+UuiPmwS5wUw
 ==
X-ME-Sender: <xms:h_u-XZvs4Cbc8i3ktYCOsrs4jok3Zy759UG-P_NQcHB9bfsfII6oLg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrudduuddgkeejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucfkphepie
 dvrdduiedrudelvddrudehtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgv
 sehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:h_u-XexXOsh9Yeje5u9WSbw3CTB3HRSqo5MOp1H2w7Br0ZedAsRJ_w>
 <xmx:h_u-XZQF9p0pheO0r45_nmhQJrw-kpbYMsaKdU6zBzhWIKUWQDvclw>
 <xmx:h_u-XasGnJfEXmXJffcqoXcdpPXgU0jLkzGbjbNvr5cAxRzXPo2qpA>
 <xmx:iPu-XTRdpiJxEWHPsx7l_hi5lb1wFUPdIXm3uFNoyUHUsX4OqlrUYQ>
Received: from localhost (ti0006q161-0149.bb.online.no [62.16.192.150])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8CF5A306005B;
 Sun,  3 Nov 2019 11:08:39 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Hartmut Goebel <h.goebel@HIDDEN>, 38030 <at> debbugs.gnu.org
Subject: Re: [bug#38030] [PATCH 04/13] gnu: Add kcalendarcore.
In-Reply-To: <20191102090950.18043-4-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
 <20191102090950.18043-4-h.goebel@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 03 Nov 2019 17:08:37 +0100
Message-ID: <87lfsxosca.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Hartmut Goebel <h.goebel@HIDDEN> writes:

> This is now a part of KDE Frameworks.
>
> * gnu/packages/kde-frameworks.scm(kcalendarcore): New variable.

[...]

> +(define-public kcalendarcore
> +  (package
> +    (name "kcalendarcore")
> +    (version "5.63.0")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "mirror://kde/stable/frameworks/"
> +                    (version-major+minor version) "/"
> +                    name "-" version ".tar.xz"))
> +              (sha256
> +               (base32
> +                "1cqqwpd6faz7sd6jrda564xxvwr231b175h2w3ilxx6hvz9yrps3"))))
> +    (build-system cmake-build-system)
> +    (native-inputs
> +     `(("extra-cmake-modules" ,extra-cmake-modules)
> +       ("perl" ,perl)
> +       ("tzdata" ,tzdata)))

This should use 'tzdata-for-tests'.

> +    (inputs
> +     `(("libical" ,libical)
> +       ("qtbase" ,qtbase)))
> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (add-before 'configure 'disable-failing-libical3-tests
> +           (lambda _
> +             (substitute* "autotests/CMakeLists.txt"
> +               (("macro_unit_tests\\(testicaltimezones\\)" line)
> +                (string-append "## " line))
> +               (("target_link_libraries\\(testicaltimezones " line)
> +                (string-append "## " line)))
> +             (for-each
> +              delete-file
> +              (list
> +               "autotests/data/Compat-libical3/AppleICal_1.5.ics"
> +               "autotests/data/Compat-libical3/Evolution_2.8.2_timezone_test.ics"
> +               "autotests/data/Compat-libical3/KOrganizer_3.1a.ics"
> +               "autotests/data/Compat-libical3/MSExchange.ics"
> +               "autotests/data/Compat-libical3/Mozilla_1.0.ics"))
> +             #t))

Can you add some comments about why this is necessary?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl2++4UACgkQoqBt8qM6
VPpk4wf/Yff00qTD/L1pK4N/ZXQSIOjQAf7vWgbsoA6z7qVHwClePR8PSJte3AA0
z9uyxm6+buYJ1rUAbMROP/VcCv517gJkwJ+1fPhqtQVRRi5D+s/dUbbQhNucg7il
yjsUmM+emNRYvWTCsEXn/sTGRUJg4RNDdFIincxXJUR1GSWdAq5/a/odB4+oIUZd
+86MAyEVxNTM9O7OSGFM0EAqbbGwEqhB3+4X794ORavWXHPLUCMkPvSj6gk87Hr8
OUf7BUpzCVS1biJy+PgG4RAysa2BzyAUfxjZ86ti30KjFntvE9on/G3Xb+pX+B4t
Ok+DoQHiNKP2dv1U4DJfutxN3Z0CWA==
=AfbP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 3 Nov 2019 10:13:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 05:13:51 2019
Received: from localhost ([127.0.0.1]:33406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRCtL-0004Kb-0f
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 05:13:51 -0500
Received: from mail-out.m-online.net ([212.18.0.9]:55052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iRCtJ-0004KS-DZ
 for 38030 <at> debbugs.gnu.org; Sun, 03 Nov 2019 05:13:50 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 475Wwr0l92z1qql9;
 Sun,  3 Nov 2019 11:13:47 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 475Wwq6FT3z1qqkQ;
 Sun,  3 Nov 2019 11:13:47 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id lAa9KyQA0fUB; Sun,  3 Nov 2019 11:13:47 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-59-108.dynamic.mnet-online.de [188.174.59.108])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS;
 Sun,  3 Nov 2019 11:13:47 +0100 (CET)
Received: from [192.168.110.31] (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 37B5460089;
 Sun,  3 Nov 2019 11:13:47 +0100 (CET)
Subject: Re: [bug#38030] [PATCH 13/13] gnu: kpmcore: Update to 4.0.1
To: Miguel Arruga Vivas <rosen644835@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
 <20191102090950.18043-13-h.goebel@HIDDEN>
 <20191102193825.0220ad25@HIDDEN>
From: Hartmut Goebel <h.goebel@HIDDEN>
Autocrypt: addr=h.goebel@HIDDEN; prefer-encrypt=mutual; keydata=
 mQINBFJQM3oBEACiUXmMppc3+A7JpF3lPz8O/mRhfz1U6F4EOTlacTrCcm7Xg5U2JsPPNapV
 r5+vHnKBK+xbaX3s/A/G+SwrUZhi1X1HRnSNY1CqL8CT7rZmOtfjg4ExnOuCjie2bKhb9JKm
 lJ7MrNimIbNQoX1mRcQ4VMEflhyWfaPGbT73siuMkbr020ExhzW8T18JIC01SgWMULYMBXOB
 oGY21am/vaTFCK8bym1P4HVN8i64uOWL0agkAMHbju6SZtG2fYJ68eS3P/97bXRg1pveEdpa
 FgaFZhquecw4WdedwLwt1xNcjAg/p6tN73W3asEZTgMHa+iNzbJgcyhWpci09wQZfZ1uL0Hd
 M+ohng38ccgu9hJx6YzCN7Fe14JooKbPukG/WfClAgAzZSHRKpS4zGdGlg6D6EWayyWWoLR3
 KoMA4LIIlaQbqaOhfe85b4mNgB1hqd0uRTHOah/6T+FUoSQ1IAeKLIDqj6rW7X4ISRn1CXGS
 LGDn2QKqR3KtU3cLf8hAeDeO7Qe1jTvLrG1Mfca8lEmC7/yN1gI7L4/cs6lhmXUgMaevuxss
 BxO2kkh0OS8HVFf+QQ7LZ5vt91yQVT9HVvOuVob0YtG+3rvkpMaHQilKloNoEkmMiHpwypBa
 IfAC6NP9smgionvvmQ5RWSEaH5/pfSUAYbqzWbqDxtqEF/mPOwARAQABtC1IYXJ0bXV0IEdv
 ZWJlbCA8aC5nb2ViZWxAY3JhenktY29tcGlsZXJzLmNvbT6JAj0EEwEKACcCGwMCHgECF4AF
 CwkIBwMFFQoJCAsFFgIDAQAFAluyK5QFCQ0kXxEACgkQe3UoEb93O2XMlw//Z2/aXbZO3lJv
 uvfDBU3fJBKxp87EButnuwudFyaNupKxO13R7rBKB/Oti/rNP7IlK56WwU10ldK6C1PYnqru
 5L1VCjWRi2Jd/XlvgXlc1jqstbM7NfU7pGOzctJGYpKh+7b1EdSM4V1KnDKcbKicLKC7zS+d
 HUdsch5w5XJj+pZRE4R0KEA/vEBB4ba+m+b59WqzaLin2pOqyo4Ff9o5uVgxlNrLIJQsg74T
 MTQP8khyDLfmyiN42VVkOBOIPMLA8ljEA1I7I4WwW3bT3mxOXHUExey/YsOdpqYX+kh7u/tj
 7kbjKQbdCwdwUqSOPLmW9/9Wxyf2/xi+3lCvxzwPPElnK62yKlxLhVMt+Ah3J2QeLmrVGG5X
 PQzplrmQ6ptpEC9evrK3ALBJ+UGGxyyLp7sPb0SbDq70tZLRtbcE6QnpQA2IQIPTTy40lGVy
 3a3iXiDM7hzbljWS0XSaEHoZ/WdgKLV+OzVZ9vrhP+7HrK7hEzdYqCvNfcW6bk2KrMN0RxBB
 OAbiRne8E0iTffh9uTyW7sAE0UDA9J3KtD3fpkld9cQrhwUVsjuPfbCqnhCk0B7ro1OR0DHB
 bgMVEylEsACnHEU4XWvo+U+0MgJtDQjzIy+XZfXDCs1VOy+murgcs0YIFqesyYOaaF1eP1S0
 Yr18n/pfAPCFfg0rhMQUyoK5Ag0EUlAzegEQAL3lOz+uhHudEvovJVdExl+MTHLpYcajA0QL
 zDXe0jiAYdB+Jpvm7CAKani61/eo1SnHyRORELjxl/fL3ytjg3yRvVAM2I+xg7lIB4qXL5rR
 5K8iF4px/jYV2CBIiwOKQ6gVEVk2hpl/tPqP3QdOKXdLu3sOM1Ygg3PN5fc+I7B6luchx6Bu
 7NAR7nWKn6D1NdOI1UZL6Dr6Me/6hNVJBGvDF3Fm2x0CoIHujFksfOxZtwoZMXn13N18ZDyQ
 OMA89eHNQlFri9i5xG3laMAW2M0bozf+FwTBXomIWkT2Tkj3omW8ZIcfags2SpRkQl45pE65
 nLKK36eRNoNbBovqKalMyhKstFTpIjjTZRMI5EZ87j7gYX/ghCss2LZz4X0WfvH6lYt8Yvjv
 I9Stl4ENvNukQZSZgIpaaAgZceXyuLaj+FY1cVXK3AoTh+lordfXr3TSBxlb1z7cNHqsI9vd
 RwsfC+Ng+yRrNGnNw008fgDq9fhaZus1krtPQzTyJzMw9xnLKuHhHFbkHDaW1Gb9dnECBF8a
 T0kjffgENEa5K6bfyAGGZ5zikBuK9EZdIQ0KgLP55hdnY7PigXazSsvYxVB62+B0kRYxjyM7
 UAX55+QeD7pkPhBmRozeNYZzQxu9cyeD83e1Yf7ddnBkkLXVyTzKIutGh2R2BkcmkbBKTv27
 ABEBAAGJAjwEGAEKACYCGwwWIQTUrYucFnt1fE8I6Hd7dSgRv3c7ZQUCW7IswAUJDSRgPgAK
 CRB7dSgRv3c7ZbFUD/97iHXgPYSZWyZ9r8pgpRuyoIK2TKmClUxck1a0WUkTMjzi0gW4kOIj
 2wNOUnsRqioxOVXAg0R9ix1l6+LBC8+m/VFoR37BYQsC5WrzkmeaFChrBPs+YlND0V7TWNq0
 elBvsNuApVxSOzaJuxCnH9WLe3s4fIveymScNAZOm31DHgmkDcb1/NXg97nohqSeW+k3eQbh
 borMRT3kMaXrPTI8qal9TsYf6KhfPi61fbnGW6bNJ0LnWQj2b7nb6nIR99cr0sNymqOsC6Gq
 0yHhTceRl2/DRBe+QCxoiFKs1s6f7Af+U9r/JkHfdOLCRxjmAyl22zlhmBeNlGSvDbJqy5AE
 7fKo1/mVQ2CNskF0BcOhrrntVf4A1gy3OlIXnCV//HH6w7qRBpw0inpD5c9Ny20aNdo8mS3y
 szcGZLczkdx8qzYEXBCO8zSDiRllrf6e8H5AaQdtHInxQ2Ywdqz/Ho81irbcPaHwI7P9/qvm
 zYnPZ3ULNlrI/+mq0oYkCB8oB9HW0C/YGZ/nIYY0vxDoy6n6EhEzntdAjF6Pav+QHB216fBs
 LMLs8X4+PXOc+MaAmQQTyTF9C8vfQk86E4eRmQErYw0aYVR7bUqyYfX8e2c5geqeSm6O+Brv
 6LQtDbOJIcmJW1NS8XVmDG9JmkbtYqhnRDQMT+YFJircfDYmUvL4Ww==
Organization: crazy-compilers.com
Message-ID: <dfb5c504-a0e9-433b-5995-0755205fd685@HIDDEN>
Date: Sun, 3 Nov 2019 11:13:44 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.1
MIME-Version: 1.0
In-Reply-To: <20191102193825.0220ad25@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
Cc: 38030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Am 02.11.19 um 19:38 schrieb Miguel Arruga Vivas:
> Hartmut Goebel <h.goebel@HIDDEN> wrote:
>> Also move to kde.scm, since it is a frameworks part.
> You moved kholidays to kde-frameworks.scm as it is now part of
> the framework, but this comment seems to suggest that the framework
> parts are located in kde.scm.  Is there any reason to not keep it there?

Oops the commit message is wrong, I will update it just after sending
this mail:

This should read: kpmcore is *not* a framework. Thus I moved it from
kde-frameworks.scm to kde.scm.


> That commented code seems a left over from previous tests. Perhaps
> it should be removed, perhaps a comment makes sense there. :)

You are absolutely right on this.  These comments are left-overs which
should never have gone there. I simply did not review the ackage
definition.


-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | h.goebel@HIDDEN               |
| www.crazy-compilers.com | compilers which you thought are impossible |





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 18:38:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 14:38:37 2019
Received: from localhost ([127.0.0.1]:33100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQyIH-0003fq-5g
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 14:38:37 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:46136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rosen644835@HIDDEN>) id 1iQyIF-0003fa-Gk
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 14:38:36 -0400
Received: by mail-wr1-f67.google.com with SMTP id b3so7010345wrs.13
 for <38030 <at> debbugs.gnu.org>; Sat, 02 Nov 2019 11:38:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=CDPEflYF9A7ist1duu44/iMrNKVTt0GU8ZqlXl4NK5Y=;
 b=t3v2/sY0m7c436qeC3tj1g4cwOgdCf8K4VaxPRMfq4Hn2ARMHokwmQ+4jl+RPn3QV9
 sKGMzC1m6vFT1TciotFzXXU5Ellhja9nBIf6PbTNnMN1MfwQh86xZL9PvmN4BF2sfZjZ
 g0Ye9kh7iCEYkWjRwzi2pcfIegx/GVtC/MTcjh5FgOaIsiEiaqxbi7FEMK+bWKG8im/x
 XwVGlOAUgyuYPc1d5TRfAwmtUrZUkQP1W43Pti0YjjqSFLHmvNFdYXuL6axCeRaS7Lhy
 mZKNBbv2g8d6jH8QCxNdxFOWuMWzzDphDTHJgRT7SFeenJgoeXZLlNBmN9WLjXSG2W/b
 HsdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=CDPEflYF9A7ist1duu44/iMrNKVTt0GU8ZqlXl4NK5Y=;
 b=fu0I+CCPGX3YB1XT4mkTdYnHVB+8EuNnFanwQYksGJ0hRwEzuVGXn6Wh4wYdku6lZ9
 ID3MqThruavK8HgQihHl0D8zkDNSxQpUQWtj1SIsSaCVhzJuP3w7kFYeuxpy65hIfjPH
 8a7SOpymfWjZyyEBNTd0xLPMomWAqeSM2JSNH9mzQLrmTwF6ajLyBsdPsDxtrN2qm1ej
 1nA2G7S4eHabtS93atWEIEsQhMB3W/42/ieelrx6KHxpFKAMc++kJPxrUNONAU3XowhF
 iuExCi6Iu5p1rR2pFW9zp4LXYKgEyiGwabMYznUckkOOiliaf4OLktpDVGlk1FP5NGyA
 Akdg==
X-Gm-Message-State: APjAAAW7SL9OK7jyRccz7pElc2tJL5PFxbDKD7H5UuK71FrXgXFA7LdZ
 Ul3r0CCcCFgNfxoUDd0OzFo=
X-Google-Smtp-Source: APXvYqxKXFG/tpYa2VVhT+XQdNFuplyFR2aPhklR8mw3Q6ojZ7Upsb7gxgvv7SIlANyt8chFGpuVDw==
X-Received: by 2002:adf:e542:: with SMTP id z2mr15041309wrm.338.1572719909481; 
 Sat, 02 Nov 2019 11:38:29 -0700 (PDT)
Received: from localhost (115.201.218.87.dynamic.jazztel.es. [87.218.201.115])
 by smtp.gmail.com with ESMTPSA id
 p15sm12053036wrs.94.2019.11.02.11.38.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 02 Nov 2019 11:38:29 -0700 (PDT)
Date: Sat, 2 Nov 2019 19:38:25 +0100
From: Miguel Arruga Vivas <rosen644835@HIDDEN>
To: Hartmut Goebel <h.goebel@HIDDEN>
Subject: Re: [bug#38030] [PATCH 13/13] gnu: kpmcore: Update to 4.0.1
Message-ID: <20191102193825.0220ad25@HIDDEN>
In-Reply-To: <20191102090950.18043-13-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
 <20191102090950.18043-13-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 38030
Cc: 38030 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Hartmut,

Just a couple of comments (although I'm not an official reviewer) about
this patch.

Hartmut Goebel <h.goebel@HIDDEN> wrote:
> Also move to kde.scm, since it is a frameworks part.
>=20
> * gnu/packages/kde-frameworks.scm(kpmcore): Move from here =E2=80=A6
> * gnu/packages/kde.scm(kpmcore): =E2=80=A6 to here, update to 4.0.1;
> [inputs]: Add qttools; [native-inputs]: Add dbus; [arguments]: New
> element.

You moved kholidays to kde-frameworks.scm as it is now part of
the framework, but this comment seems to suggest that the framework
parts are located in kde.scm.  Is there any reason to not keep it there?

> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (replace 'check
> +           (lambda _
> +             ;(setenv "HOME" (getcwd))
> +             ;(setenv "TMPDIR" (getcwd))
> +             ;(setenv "QT_QPA_PLATFORM" "offscreen")
> +             (invoke "dbus-launch" "ctest" "."))))))

That commented code seems a left over from previous tests.  Perhaps
it should be removed, perhaps a comment makes sense there. :)

Best regards,
Miguel




Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:49 2019
Received: from localhost ([127.0.0.1]:58156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQg-00051v-BC
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:49 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:54448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQc-00051Z-N1
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:40 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tZQ1x8fz1rdjR
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:38 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tZQ1q8jz1qqkL
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:38 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id S32sCvMuU1lW for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:36 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:36 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 05934609F9
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:54 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 13/13] gnu: kpmcore: Update to 4.0.1
Date: Sat,  2 Nov 2019 10:09:50 +0100
Message-Id: <20191102090950.18043-13-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Also move to kde.scm, since it is a frameworks part.

* gnu/packages/kde-frameworks.scm(kpmcore): Move from here …
* gnu/packages/kde.scm(kpmcore): … to here, update to 4.0.1; [inputs]: Add
  qttools; [native-inputs]: Add dbus; [arguments]: New element.
---
 gnu/packages/kde-frameworks.scm | 33 ----------------------
 gnu/packages/kde.scm            | 49 +++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 33 deletions(-)

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index 0b027f3118..46d1e3e3fc 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -41,7 +41,6 @@
   #:use-module (gnu packages calendar)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
-  #:use-module (gnu packages disk)
   #:use-module (gnu packages docbook)
   #:use-module (gnu packages flex)
   #:use-module (gnu packages freedesktop)
@@ -214,38 +213,6 @@ Phonon-GStreamer is a backend based on the GStreamer multimedia library.")
     ;; license: source files mention "either version 2.1 or 3"
     (license (list license:lgpl2.1 license:lgpl3))))
 
-(define-public kpmcore
-  (package
-    (name "kpmcore")
-    (version "3.3.0")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append
-                    "mirror://kde/stable/kpmcore"
-                    "/" version "/src/"
-                    name "-" version ".tar.xz"))
-              (sha256
-               (base32
-                "0s6v0jfrhjg31ri5p6h9n4w29jvasf5dj954j3vfpzl91lygmmmq"))))
-    (build-system cmake-build-system)
-    (native-inputs
-     `(("extra-cmake-modules" ,extra-cmake-modules)
-       ("pkg-config" ,pkg-config)))
-    (inputs
-     `(("kconfigwidgets" ,kconfigwidgets)
-       ("kiconthemes" ,kiconthemes)
-       ("kio" ,kio)
-       ("ki18n" ,ki18n)
-       ("kservice" ,kservice)
-       ("libatasmart" ,libatasmart)
-       ("parted" ,parted)
-       ("qtbase" ,qtbase)
-       ("util-linux" ,util-linux)))
-    (home-page "https://community.kde.org/Frameworks")
-    (synopsis "Library for managing partitions")
-    (description "Library for managing partitions.")
-    (license license:gpl3+)))
-
 
 ;; Tier 1
 ;;
diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 0dacd5ce9e..c046327216 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -1,10 +1,12 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2016, 2017, 2019 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright © 2016 David Craven <david@HIDDEN>
 ;;; Copyright © 2016, 2017 Thomas Danckaert <post@HIDDEN>
 ;;; Copyright © 2017, 2018 Mark Meyer <mark@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Gábor Boskovits <boskovits@HIDDEN>
 ;;; Copyright © 2019 Nicolas Goaziou <mail@HIDDEN>
+;;; Copyright © 2018, 2019 Hartmut Goebel <h.goebel@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -33,15 +35,19 @@
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages curl)
+  #:use-module (gnu packages disk)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages gl)
+  #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages graphics)
   #:use-module (gnu packages image)
   #:use-module (gnu packages kde-frameworks)
   #:use-module (gnu packages kde-plasma)
+  #:use-module (gnu packages linux)
   #:use-module (gnu packages llvm)
   #:use-module (gnu packages maths)
   #:use-module (gnu packages pdf)
@@ -465,6 +471,49 @@ including SSL/TLS, X.509 certificates, SASL, OpenPGP, S/MIME CMS, and smart
 cards.")
     (license license:lgpl2.1)))
 
+(define-public kpmcore
+  (package
+    (name "kpmcore")
+    (version "4.0.1")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://kde/stable/kpmcore"
+                    "/" version "/src/"
+                    name "-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1sslkwcj2cyrn7bpjdjdwikp1q8wrsxpsg2sxxd8hsairgy7ygh3"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda _
+             ;(setenv "HOME" (getcwd))
+             ;(setenv "TMPDIR" (getcwd))
+             ;(setenv "QT_QPA_PLATFORM" "offscreen")
+             (invoke "dbus-launch" "ctest" "."))))))
+    (native-inputs
+     `(("dbus" ,dbus)
+       ("extra-cmake-modules" ,extra-cmake-modules)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("kconfigwidgets" ,kconfigwidgets)
+       ("kiconthemes" ,kiconthemes)
+       ("kio" ,kio)
+       ("ki18n" ,ki18n)
+       ("kservice" ,kservice)
+       ("libatasmart" ,libatasmart)
+       ("parted" ,parted)
+       ("qtbase" ,qtbase)
+       ("qca" ,qca)
+       ("util-linux" ,util-linux)))
+    (home-page "https://community.kde.org/Frameworks")
+    (synopsis "Library for managing partitions")
+    (description "Library for managing partitions.")
+    (license license:gpl3+)))
+
 (define-public snorenotify
   (package
     (name "snorenotify")
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:39 2019
Received: from localhost ([127.0.0.1]:58153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQc-00051b-VZ
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:39 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:51932)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQY-00051J-OZ
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:37 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tZL2QwKz1rdjR
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:34 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tZL2KBjz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:34 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id 1a8RNogSo7r5 for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:33 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:33 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id E8D7160974
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 12/13] gnu: ktouch: Update to 19.08.2.
Date: Sat,  2 Nov 2019 10:09:49 +0100
Message-Id: <20191102090950.18043-12-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/education.scm (ktouch): Update to 19.08.2.
---
 gnu/packages/education.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/education.scm b/gnu/packages/education.scm
index 66e7e22f26..00d3d11813 100644
--- a/gnu/packages/education.scm
+++ b/gnu/packages/education.scm
@@ -554,7 +554,7 @@ language and very flexible regarding to new or unknown keyboard layouts.")
 (define-public ktouch
   (package
     (name "ktouch")
-    (version "19.08.1")
+    (version "19.08.2")
     (source
       (origin
         (method url-fetch)
@@ -562,7 +562,7 @@ language and very flexible regarding to new or unknown keyboard layouts.")
                             version "/src/ktouch-" version ".tar.xz"))
         (sha256
          (base32
-          "19rdk94pls75hdvx11hnfk3qpm6l28p9q45q5f04sknxagrfaznr"))))
+          "0dm6xcwai0bx2h16rny1xa9n1509mfxvy39kfxx5qih53p15jrnk"))))
     (build-system cmake-build-system)
     (arguments
      `(#:modules ((guix build cmake-build-system)
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:37 2019
Received: from localhost ([127.0.0.1]:58151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQb-00051S-Kg
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:37 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:59393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQV-00051A-Ju
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:34 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tZH1LYhz1qrh4
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:31 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tZH1FXsz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:31 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id OHZD2KtlGOCH for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:30 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:30 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id D290D608FD
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 11/13] gnu: krita: Update to 4.2.7.1.
Date: Sat,  2 Nov 2019 10:09:48 +0100
Message-Id: <20191102090950.18043-11-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kde.scm (krita): Update to 4.2.7.1.
---
 gnu/packages/kde.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 49f5384f55..0dacd5ce9e 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -320,7 +320,7 @@ plugins, as well as code to create plugins, or complete applications.")
 (define-public krita
   (package
     (name "krita")
-    (version "4.2.5")
+    (version "4.2.7.1")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -329,7 +329,7 @@ plugins, as well as code to create plugins, or complete applications.")
                     "/krita-" version ".tar.gz"))
               (sha256
                (base32
-                "1f14r2mrqasl6nr3sss0xy2h8xlxd5wdcjcd64m9nz2gwlm39r7w"))))
+                "0gcwq1w09gmx53i2fir73l222p41299wagvhbvsxwrz0v3crzliy"))))
     (build-system cmake-build-system)
     (arguments
      `(#:tests? #f
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:30 2019
Received: from localhost ([127.0.0.1]:58145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQU-00050v-16
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:30 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:36845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQS-00050h-Go
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:28 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tZD0TQ2z1qql9
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:28 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tZD0NDGz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:28 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id PV05dYh4kmJN for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:27 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:27 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id BC643608F0
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 10/13] gnu: kdevelop: Update to 5.4.2.
Date: Sat,  2 Nov 2019 10:09:47 +0100
Message-Id: <20191102090950.18043-10-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kde.scm (): Update to
---
 gnu/packages/kde.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 0d99616957..49f5384f55 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -137,7 +137,7 @@ projects.")
 (define-public kdevelop
   (package
     (name "kdevelop")
-    (version "5.1.2")
+    (version "5.4.2")
     (source
       (origin
         (method url-fetch)
@@ -146,7 +146,7 @@ projects.")
                             version ".tar.xz"))
         (sha256
          (base32
-          "1iqaq0ilijjigqb34v5wq9in6bnjs0p9cmgbygjmy53xhh3yhm5g"))))
+          "1i665m4jd1r5bl77pcfybpn9szxzccrajs4m0prqwhlj93d57qjj"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:28 2019
Received: from localhost ([127.0.0.1]:58141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQR-00050a-PX
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:27 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:45493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQQ-00050Q-Fz
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:26 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tZ86G6dz1rdjR
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:24 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tZ869XMz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:24 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id DoVx9Fgn4NBp for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:24 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:24 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id A3340608A8
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 09/13] gnu: kqtquickcharts: Update to 19.08.2.
Date: Sat,  2 Nov 2019 10:09:46 +0100
Message-Id: <20191102090950.18043-9-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kde.scm (kqtquickcharts): Update to 19.08.2.
---
 gnu/packages/kde.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index fb3c0c52d8..0d99616957 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -571,7 +571,7 @@ communicate with each other.  Here's a few things KDE Connect can do:
 (define-public kqtquickcharts
   (package
     (name "kqtquickcharts")
-    (version "19.08.1")
+    (version "19.08.2")
     (source
       (origin
         (method url-fetch)
@@ -579,7 +579,7 @@ communicate with each other.  Here's a few things KDE Connect can do:
                             version "/src/kqtquickcharts-" version ".tar.xz"))
         (sha256
          (base32
-          "1j3rivvh4sa94lsd0hi4xfvcikl05zrqd7634wxyaxs718ais6dg"))))
+          "1yy9fyd8y4g25ljdsbil19qdf4j3mzmzl489sx7rqpm3lfdzjh9k"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:24 2019
Received: from localhost ([127.0.0.1]:58138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQO-00050J-IN
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:24 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:36350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQM-000508-2u
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:22 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tZ54nHtz1qrh4
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:21 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tZ54hsNz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:21 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id qc6YpcgQA62E for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:21 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:21 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 9268860870
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 08/13] gnu: libkomparediff2: Update to 19.08.2.
Date: Sat,  2 Nov 2019 10:09:45 +0100
Message-Id: <20191102090950.18043-8-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kde.scm (libkomparediff2): Update to 19.08.2.
---
 gnu/packages/kde.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 6a474b293b..fb3c0c52d8 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -410,14 +410,14 @@ features include brush stabilizers, brush engines and wrap-around mode.")
 (define-public libkomparediff2
   (package
     (name "libkomparediff2")
-    (version "19.04.1")
+    (version "19.08.2")
     (source
       (origin
         (method url-fetch)
         (uri (string-append "mirror://kde/stable/applications/" version
                             "/src/libkomparediff2-" version ".tar.xz"))
         (sha256
-         (base32 "1cyi7a5ss7jv87llk0k8c9g3h1qsp6j6nmdzh3xxcswr4p5skc9a"))))
+         (base32 "1mvihd0xpkl8kryf5dvsfgpbgs9af8c9bzq8mmr74gfsvfb8ywy5"))))
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
        ("pkg-config" ,pkg-config)))
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:21 2019
Received: from localhost ([127.0.0.1]:58135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQL-000501-7e
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:21 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:37835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQJ-0004zt-0X
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:19 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tZ24204z1rdjR
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:18 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tZ23xncz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:18 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id 2ojYVExJ_g43 for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:17 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:17 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 798856084A
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 07/13] gnu: kde plasma: Update to 5.17.0.
Date: Sat,  2 Nov 2019 10:09:44 +0100
Message-Id: <20191102090950.18043-7-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kde-plasma.scm (kdecoration, kscreenlocker, libkscreen,
  libksysguard): Update to 5.17.0
---
 gnu/packages/kde-plasma.scm | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/kde-plasma.scm b/gnu/packages/kde-plasma.scm
index c1731d459a..2802a5a461 100644
--- a/gnu/packages/kde-plasma.scm
+++ b/gnu/packages/kde-plasma.scm
@@ -37,14 +37,14 @@
 (define-public kdecoration
   (package
     (name "kdecoration")
-    (version "5.15.1")
+    (version "5.17.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://kde/stable/plasma/" version
                                   "/kdecoration-" version ".tar.xz"))
               (sha256
                (base32
-                "03lxnjbhlnyiw2znflp0f2w77a5pzv5yvsbngvwgp89ig9mansi1"))))
+                "0rljpywpaqmar13jijphkpc9k1crma476j9my0d00hfrjil5xlnn"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -66,14 +66,14 @@ manager which re-parents a Client window to a window decoration frame.")
 (define-public kscreenlocker
   (package
     (name "kscreenlocker")
-    (version "5.15.1")
+    (version "5.17.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://kde/stable/plasma/" version
                                   "/kscreenlocker-" version ".tar.xz"))
               (sha256
                (base32
-                "1jp2z1wjsd99is31igkfnscs55h755cmp86ppkj596fcxv1krymq"))))
+                "1jzkq5m0hvcpsl7clai33ndiil8gls7ndir3mfcc5l8gv7df2ir0"))))
     (build-system cmake-build-system)
     (arguments
      `(#:phases
@@ -129,14 +129,14 @@ manager which re-parents a Client window to a window decoration frame.")
 (define-public libkscreen
   (package
     (name "libkscreen")
-    (version "5.15.1")
+    (version "5.17.0")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://kde/stable/plasma/" version "/"
                            name "-" version ".tar.xz"))
        (sha256
-        (base32 "1zpzqafrb576al10f5873nl1z135gscjza6gd3ickfzlvd9qmr18"))))
+        (base32 "0znxfqqyyij6i4dp95gf5g4vrhg4jsshgh2k13ldy294kby2mxw0"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -168,7 +168,7 @@ basic needs and easy to configure for those who want special setups.")
 (define-public libksysguard
   (package
     (name "libksysguard")
-    (version "5.15.1")
+    (version "5.17.0")
     (source
      (origin
        (method url-fetch)
@@ -176,7 +176,7 @@ basic needs and easy to configure for those who want special setups.")
                            "/libksysguard-" version ".tar.xz"))
        (sha256
         (base32
-         "0ml106yq4q9qagkrcaafgcky18wk76px5a1r6j36wfjqdd6wpzvs"))))
+         "1b79qxg6j9lqgyq8i677f00f7cbplqak1r9riyc9wj5s2r60ydw7"))))
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
        ("pkg-config" ,pkg-config)))
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:17 2019
Received: from localhost ([127.0.0.1]:58132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQG-0004zk-Ui
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:17 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:50899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQF-0004zb-MX
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:16 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tYz22RRz1rdPJ
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:15 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tYz1sr5z1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:15 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id iy7u1-kGmGpr for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:13 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:13 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 6E23A6044F
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 06/13] gnu: Add syndication.
Date: Sat,  2 Nov 2019 10:09:43 +0100
Message-Id: <20191102090950.18043-6-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kde-frameworks.scm (syndication): New variable.
---
 gnu/packages/kde-frameworks.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index 65e3879c03..0b027f3118 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -2080,6 +2080,33 @@ mega, giga) as well as converting between different unit systems (e.g. liters,
 gallons).")
     (license license:lgpl2.1+)))
 
+(define-public syndication
+  (package
+    (name "syndication")
+    (version "5.63.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://kde/stable/frameworks/"
+                    (version-major+minor version) "/"
+                    name "-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1d0k6x11giylfkr183sm307n4v6rjpwkqp7y9wfhimjrcprwf2g6"))))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("extra-cmake-modules" ,extra-cmake-modules)))
+    (inputs
+     `(("kcodecs" ,kcodecs)
+       ("qtbase" ,qtbase)))
+    (home-page "https://community.kde.org/Frameworks")
+    (synopsis "RSS/Atom parser library")
+    (description "@code{syndication} supports RSS (0.9/1.0, 0.91..2.0) and
+Atom (0.3 and 1.0) feeds.  The library offers a unified, format-agnostic view
+on the parsed feed, so that the using application does not need to distinguish
+between feed formats.")
+    (license license:lgpl2.1+)))
+
 
 ;; Tier 3
 ;;
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:13 2019
Received: from localhost ([127.0.0.1]:58129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQD-0004zP-K4
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:13 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:35707)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQB-0004z9-SL
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:12 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tYv34kFz1qrh6
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:11 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tYv31L2z1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:11 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id yg4_EpNy-7qL for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:10 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:10 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 5AE276041A
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 05/13] gnu: Add kcontacts.
Date: Sat,  2 Nov 2019 10:09:42 +0100
Message-Id: <20191102090950.18043-5-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is now a part in KDE Frameworks.

* gnu/packages/kde-frameworks.scm(kcontacts): New variable.
---
 gnu/packages/kde-frameworks.scm | 44 +++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index cc9066d445..65e3879c03 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -1627,6 +1627,50 @@ applications.  It provides a set of completion-ready widgets, or can be
 integrated it into your application's other widgets.")
     (license license:lgpl2.1+)))
 
+(define-public kcontacts
+  (package
+    (name "kcontacts")
+    (version "5.63.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://kde/stable/frameworks/"
+                    (version-major+minor version) "/"
+                    name "-" version ".tar.xz"))
+              (sha256
+               (base32
+                "0xs5c5l4vck5i6879jax1nf93if02f9hyfkn60l36cxbphnbpw0h"))))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("extra-cmake-modules" ,extra-cmake-modules)
+       ("xorg-server" ,xorg-server))) ; for the tests
+    (inputs
+     `(("kcodecs" ,kcodecs)
+       ("kconfig" ,kconfig)
+       ("kcoreaddons" ,kcoreaddons)
+       ("ki18n" ,ki18n)
+       ("qtbase" ,qtbase)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'start-xorg-server
+           (lambda* (#:key inputs #:allow-other-keys)
+             ;; The test suite requires a running X server.
+             ;; Xvfb doesn't have proper glx support and needs a pixeldepth
+             ;; of 24 bit to avoid "libGL error: failed to load driver: swrast"
+             ;;                    "Could not initialize GLX"
+             (system (string-append (assoc-ref inputs "xorg-server")
+                                    "/bin/Xvfb :1 -screen 0 640x480x24 &"))
+             (setenv "DISPLAY" ":1")
+             #t)))))
+    (home-page "https://community.kde.org/Frameworks")
+    (synopsis "API for contacts/address book data following the vCard standard")
+    (description "This library provides a vCard data model, vCard
+input/output, contact group management, locale-aware address formatting, and
+localized country name to ISO 3166-1 alpha 2 code mapping and vice verca.
+")
+    (license license:lgpl2.1+)))
+
 (define-public kcrash
   (package
     (name "kcrash")
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:11 2019
Received: from localhost ([127.0.0.1]:58126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQB-0004z3-9C
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:11 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:58628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQ9-0004yo-CK
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:09 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tYq4JQFz1qrCD
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:07 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tYq4DCZz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:07 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id UJnZUsnuAtT4 for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:10:06 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:06 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 4CAD7603E3
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 04/13] gnu: Add kcalendarcore.
Date: Sat,  2 Nov 2019 10:09:41 +0100
Message-Id: <20191102090950.18043-4-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is now a part of KDE Frameworks.

* gnu/packages/kde-frameworks.scm(kcalendarcore): New variable.
---
 gnu/packages/kde-frameworks.scm | 60 +++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index 85c3736669..cc9066d445 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -38,6 +38,7 @@
   #:use-module (gnu packages boost)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
+  #:use-module (gnu packages calendar)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages disk)
@@ -429,6 +430,65 @@ GZip format, via a subclass of QIODevice.")
     (license (list license:lgpl2.1 license:lgpl2.1+
                    license:lgpl3+ license:bsd-2))))
 
+(define-public kcalendarcore
+  (package
+    (name "kcalendarcore")
+    (version "5.63.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://kde/stable/frameworks/"
+                    (version-major+minor version) "/"
+                    name "-" version ".tar.xz"))
+              (sha256
+               (base32
+                "1cqqwpd6faz7sd6jrda564xxvwr231b175h2w3ilxx6hvz9yrps3"))))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("extra-cmake-modules" ,extra-cmake-modules)
+       ("perl" ,perl)
+       ("tzdata" ,tzdata)))
+    (inputs
+     `(("libical" ,libical)
+       ("qtbase" ,qtbase)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'disable-failing-libical3-tests
+           (lambda _
+             (substitute* "autotests/CMakeLists.txt"
+               (("macro_unit_tests\\(testicaltimezones\\)" line)
+                (string-append "## " line))
+               (("target_link_libraries\\(testicaltimezones " line)
+                (string-append "## " line)))
+             (for-each
+              delete-file
+              (list
+               "autotests/data/Compat-libical3/AppleICal_1.5.ics"
+               "autotests/data/Compat-libical3/Evolution_2.8.2_timezone_test.ics"
+               "autotests/data/Compat-libical3/KOrganizer_3.1a.ics"
+               "autotests/data/Compat-libical3/MSExchange.ics"
+               "autotests/data/Compat-libical3/Mozilla_1.0.ics"))
+             #t))
+         (add-before 'check 'set-timezone
+           (lambda* (#:key inputs #:allow-other-keys)
+             (setenv "TZ" "Europe/Prague")
+             (setenv "TZDIR"
+                     (string-append (assoc-ref inputs "tzdata")
+                                    "/share/zoneinfo"))
+             #t)))))
+    (home-page "https://community.kde.org/Frameworks")
+    (synopsis "Library for interfacing with calendars")
+    (description "This library provides access to and handling of calendar
+data.  It supports the standard formats iCalendar and vCalendar and the group
+scheduling standard iTIP.
+
+A calendar contains information like incidences (events, to-dos, journals),
+alarms, time zones, and other useful information.  This API provides access to
+that calendar information via well known calendar formats iCalendar (or iCal)
+and the older vCalendar.")
+    (license (list license:lgpl3+ license:bsd-2))))
+
 (define-public kcodecs
   (package
     (name "kcodecs")
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:10:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:10:11 2019
Received: from localhost ([127.0.0.1]:58123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpQ8-0004yu-S5
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:11 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:43849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpQ4-0004yc-GD
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:10:07 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tYl5zLrz1qrCD
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:03 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tYl4WHGz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:10:03 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id QuXETre8jtMO for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:09:58 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:58 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 322C360367
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 03/13] gnu: kde-frameworks: Update to 5.63.0.
Date: Sat,  2 Nov 2019 10:09:40 +0100
Message-Id: <20191102090950.18043-3-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

KHolidays is part of frameworks since version 5.43 already.

* gnu/packages/kde.scm(kholidays): Move to …
* gnu/packages/kde-frameworks.scm(kholidays) … here, update to 5.63.0 and
  [source]: Update path.
  (attica, baloo, bluez-qt, breeze- icons,
  extra-cmake-modules, kactivities, kactivities-stats, kapidox, karchive,
  kauth, kbookmarks, kcmutils, kcodecs, kcompletion, kconfig, kcoreaddons,
  kcrash, kdbusaddons, kde-frameworkintegration, kdeclarative, kded,
  kdelibs4support, kdesu, kdnssd, kdoctools, kemoticons, kglobalaccel,
  kguiaddons, khtml, ki18n, kidletime, kimageformats, kinit, kirigami,
  kitemmodels, kitemviews, kjobwidgets, kjs, kjsembed, kmediaplayer,
  knewstuff, knotifications, knotifyconfig, kpackage, kparts, kpeople, kpty,
  kross, krunner, kservice, ksyntaxhighlighting, ktexteditor, kunitconversion,
  kwallet, kwidgetsaddons, kxmlrpcclient, modemmanager-qt, networkmanager-qt,
  oxygen-icons, plasma-framework, prison, qqc2-desktop-style, solid, sonnet,
  threadweaver): Update to 5.63.0.
  (kconfigwidgets): Update to 5.63.0; [inputs]: Add qttools.
  (kdesignerplugin):  Update to 5.63.0; [source]: Update path.
  (kdewebkit): Update to 5.63.0; [source]: Update path.;
  [inputs]: Add qttools.
  (kfilemetadata): Update to 5.63.0; [inputs]: Add kcoreaddons;
  [arguments]<#pahses>: Add a test-case to the blacklist
  (kiconthemes): Update to 5.63.0; [inputs]: Add qttools.
  (kio): Update to 5.63.0; [inputs]: Add qttools.
  (kplotting): Update to 5.63.0; [inputs]: Add qttools.
  (ktextwidgets): Update to 5.63.0; [inputs]: Add qttools.
  (kwayland): Update to 5.63.0; [inputs]: Add wayland-protocols.
  (kwindowsystem): Update to 5.63.0, update blacklist or tests,
  explicitly set XDG_RUNTIME_DIR; [inputs]: Add xcb-util-wm.
  (kxmlgui): Update to 5.63.0; [inputs]: Add qttools.

* gnu/packages/patches/kinit-kdeinit-extra_libs.patch: Adjust.
* gnu/packages/patches/kwindowsystem-qt-compat.patch: Remove obsolete patch.
---
 gnu/packages/kde-frameworks.scm               | 370 ++++++++++--------
 gnu/packages/kde.scm                          |  35 --
 .../patches/kinit-kdeinit-extra_libs.patch    |   4 +-
 .../patches/kwindowsystem-qt-compat.patch     |  97 -----
 4 files changed, 209 insertions(+), 297 deletions(-)
 delete mode 100644 gnu/packages/patches/kwindowsystem-qt-compat.patch

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index 613a1a9734..85c3736669 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -78,7 +78,7 @@
 (define-public extra-cmake-modules
   (package
     (name "extra-cmake-modules")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -87,7 +87,7 @@
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1x868hs9jiqzkqx7gld4mdm5dzfxc5kann22y15a4f7g5a957534"))))
+                "14h7519bfkwzh58lxgxrj5jlfhfnrakhjcm6lmhafnkg5h56m4kr"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("qtbase" ,qtbase))) ; For tests (needs qmake)
@@ -254,7 +254,7 @@ Phonon-GStreamer is a backend based on the GStreamer multimedia library.")
 (define-public attica
   (package
     (name "attica")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -263,7 +263,7 @@ Phonon-GStreamer is a backend based on the GStreamer multimedia library.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0bsn9mi3nj23k2r3mfgjm9i1mp8qnwf08xn9x757wk3xas0cx98v"))))
+                "0dvsjwl2c3liiicv2m8p1m7hlc3fcapsj5pfirmdm1l38wcayr60"))))
     (build-system cmake-build-system)
     (arguments
      `(#:phases
@@ -294,7 +294,7 @@ http://freedesktop.org/wiki/Specifications/open-collaboration-services/")
 (define-public bluez-qt
   (package
     (name "bluez-qt")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -303,7 +303,7 @@ http://freedesktop.org/wiki/Specifications/open-collaboration-services/")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1ixad1ya3c339c675w8nwmbga8ydq16db9fk2az3gjm68z3dch8a"))))
+                "179am9czhb9mcirmja5bxjmqil3qg81v56n8rmkkp5q50qpln4dh"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("dbus" ,dbus)
@@ -327,7 +327,7 @@ Bluetooth stack.  It is used by the KDE Bluetooth stack, BlueDevil.")
 (define-public breeze-icons
   (package
     (name "breeze-icons")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -336,7 +336,7 @@ Bluetooth stack.  It is used by the KDE Bluetooth stack, BlueDevil.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "03mb7x8mc2h6cjb4mrifrbkbpj3lv9c0mg4m619rqiydg0p1yf49"))))
+                "17kil9dlh8w5r29arrjbv47b7jxz45kqzpg06zw3vz70bdgbb995"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -356,7 +356,7 @@ It is the default icon theme for the KDE Plasma 5 desktop.")
 (define-public kapidox
   (package
     (name "kapidox")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -365,7 +365,7 @@ It is the default icon theme for the KDE Plasma 5 desktop.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0x41adp3rnvr6njc57ffdyh6d5i5aw13xcjdr4p6kacw9pk63ajf"))))
+                "0cwprhpz731bqqhr6vra6lc76k5i4pm3m9j0q21km9wm2djfmk19"))))
     (build-system cmake-build-system)
     (arguments
      `(#:tests? #f)) ; has no test target
@@ -398,7 +398,7 @@ documentation.")
 (define-public karchive
   (package
     (name "karchive")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -407,7 +407,7 @@ documentation.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1llznxc5wjjnmbjx8iwi3a93gc2z0z344viknsgls1fwdjjfyxc4"))))
+                "0ypykybxl9dz57rgsfihx4rfhzhphidypb2f5nwrw1f6vlqkawzs"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -432,7 +432,7 @@ GZip format, via a subclass of QIODevice.")
 (define-public kcodecs
   (package
     (name "kcodecs")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -441,7 +441,7 @@ GZip format, via a subclass of QIODevice.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0491j6l28jwfpgaqs2816qpyggnra2df33iw3fgvb0wd4r4gvmjb"))))
+                "0w5q37lqdzyl84723kg9sh9xxn2g2wv0xfxpy3218hmc9364s89h"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -468,7 +468,7 @@ Internet).")
 (define-public kconfig
   (package
     (name "kconfig")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -477,7 +477,7 @@ Internet).")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "06gscipc3914gwiswhp1xx4sy74bpy645ykq2i6r1sb6sm16hmja"))))
+                "1ya0fvrrfiw4a5wkydcjpnkkyq3ampxy5h210dm04qim6a9x8rb1"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("dbus" ,dbus)
@@ -533,7 +533,7 @@ propagate their changes to their respective configuration files.")
 (define-public kcoreaddons
   (package
     (name "kcoreaddons")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -542,7 +542,7 @@ propagate their changes to their respective configuration files.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1j7bc5fhak8db3vdfslbjdffbdclakhfwsni2a855d08yfrl1n1w"))))
+                "1w658wfksxglr0fjpa2p8gmjbvpd2knzhk3byk2s9dwil7i7cvjd"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -590,7 +590,7 @@ many more.")
 (define-public kdbusaddons
   (package
     (name "kdbusaddons")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -599,7 +599,7 @@ many more.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1sj3cycgci3ih65bkh7bsvbzyp7r654ppcryj4azpcsxqhy5gc7l"))
+                "11zwr89v0k4m1235rzr39z4cbfdwn5zg34abs62nfnr8vmba62qv"))
               (patches (search-patches "kdbusaddons-kinit-file-name.patch"))))
     (build-system cmake-build-system)
     (native-inputs
@@ -635,7 +635,7 @@ as well as an API to create KDED modules.")
 (define-public kdnssd
   (package
     (name "kdnssd")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -644,7 +644,7 @@ as well as an API to create KDED modules.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0lljj7mxmqm60kfzr37zb7z58mfyfh7zgykf7a5is1k0lxpgk6zc"))))
+                "1bn9c6ii1n6ns478i3lp7yzga7dbcqvdb43rfzmz7gndnmh853gm"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -663,7 +663,7 @@ infrastructure.")
 (define-public kguiaddons
   (package
     (name "kguiaddons")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -672,7 +672,7 @@ infrastructure.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "190jwhvq2fi8g03saszlaslzxmcbqrbwli9f9vm6h5j9nnc0z6h3"))))
+                "0k22kargqxf0j09wzk1x90b526npj8a0210ilk0n1k6spc8xa6mr"))))
     (build-system cmake-build-system)
     ;; TODO: Build packages for the Python bindings.  Ideally this will be
     ;; done for all versions of python guix supports.  Requires python,
@@ -698,10 +698,45 @@ infrastructure.")
 interfaces in the areas of colors, fonts, text, images, keyboard input.")
     (license (list license:gpl2+ license:lgpl2.1+))))
 
+(define-public kholidays
+  (package
+    (name "kholidays")
+    (version "5.63.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://kde/stable/frameworks/"
+                    (version-major+minor version) "/"
+                    name "-" version ".tar.xz"))
+       (sha256
+        (base32 "1035kh0na4hwp4pnsi8p1nd7r114d4bgdnjr0g2hwmy868vx0a67"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-before 'check 'check-setup
+           (lambda _
+             ;; blacklist a failing test function TODO: make it pass
+             (with-output-to-file "autotests/BLACKLIST"
+               (lambda _
+                 (display "[testDefaultRegions]\n*\n")))
+             #t)))))
+    (native-inputs
+     `(("extra-cmake-modules" ,extra-cmake-modules)
+       ("qttools" ,qttools)))
+    (inputs
+     `(("qtbase" ,qtbase)
+       ("qtdeclarative" ,qtdeclarative)))
+    (home-page "https://cgit.kde.org/kholidays.git")
+    (synopsis "Library for regional holiday information")
+    (description "This library provides a C++ API that determines holiday and
+other special events for a geographical region.")
+    (license license:lgpl2.0+)))
+
 (define-public ki18n
   (package
     (name "ki18n")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -710,7 +745,7 @@ interfaces in the areas of colors, fonts, text, images, keyboard input.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0kvwjzqibby9fawyfb8bd81abjhsjlyi8xy9mcapnih5x2gx3z92"))))
+                "1fdp0bdvqbqzbxynbg3bcdridr8j3qnm9spyrrdg5q95sz99a4s9"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("gettext" ,gettext-minimal)
@@ -744,7 +779,7 @@ translation scripting.")
 (define-public kidletime
   (package
     (name "kidletime")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -753,7 +788,7 @@ translation scripting.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1kq6zh6cjhzffjhxnc7l1pw6g38swxyspp8xl8c860zdhc9xfd1g"))))
+                "0zd51lsz23rqwk4lnzs5653sanprgr80p33yk8gmgsihgyfbjv0r"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -775,7 +810,7 @@ or user activity.")
   ;; plasma-framework which is tier 3.
   (package
     (name "kirigami")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -784,7 +819,7 @@ or user activity.")
                     "kirigami2-" version ".tar.xz"))
               (sha256
                (base32
-                "11djxli5cq7pn19lmjz2y7z39mhlr98jskasfzyax546j47v973k"))))
+                "1v76d1xgmi9kkxiwq4y6rzaxs1hwwm95pw490m09rgqhli7180yv"))))
     (properties `((upstream-name . "kirigami2")))
     (build-system cmake-build-system)
     (native-inputs
@@ -811,7 +846,7 @@ of applications that follow the Kirigami Human Interface Guidelines.")
 (define-public kitemmodels
   (package
     (name "kitemmodels")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -820,7 +855,7 @@ of applications that follow the Kirigami Human Interface Guidelines.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "13609avkqrfi79zyr737662nr8bwcfdya9dxc6gzyqx5i0l2nbw6"))))
+                "10bhg0db9gdg2hlc02ngg1i2q7a99862d5973hxqzf620d28p5rd"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -870,7 +905,7 @@ model to observers
 (define-public kitemviews
   (package
     (name "kitemviews")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -879,7 +914,7 @@ model to observers
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1mgh7z5xcbhc7a2qq8mqfp7j4amk93hypkpy2zc3rdhc60ps94ad"))))
+                "15h0w16wgj94kxz4vgjb34i3pyx5w1f2npj86j4d2sa0mxxpmqyz"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -905,7 +940,7 @@ to flat and hierarchical lists.")
 (define-public kplotting
   (package
     (name "kplotting")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -914,12 +949,13 @@ to flat and hierarchical lists.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0nn2v1yvvpzpi1y1pm47zvmwsa942c7d9n8iqymqihnp0fqjr8y7"))))
+                "11kpq34j37c1gsvj5nxhkc31bw8gw2n7nkqsfx87jw9f4v2vhmr9"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
     (inputs
-     `(("qtbase" ,qtbase)))
+     `(("qtbase" ,qtbase)
+       ("qttools" ,qttools)))
     (arguments
      `(#:phases
        (modify-phases %standard-phases
@@ -940,7 +976,7 @@ pixel units.")
 (define-public ksyntaxhighlighting
   (package
     (name "ksyntaxhighlighting")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -949,7 +985,7 @@ pixel units.")
                     "syntax-highlighting-" version ".tar.xz"))
               (sha256
                (base32
-                "00w5nmz9l70znv8q7q1zw3f7gngwfgf41iwbs53zqcv1z7wmrz6m"))))
+                "08y0m4wcq1sbxvlga3w72waj5xckh5jra5x7rvnp87dl38qxhacs"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -989,7 +1025,7 @@ integration with a custom editor as well as a ready-to-use
 (define-public kwayland
   (package
     (name "kwayland")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -998,14 +1034,15 @@ integration with a custom editor as well as a ready-to-use
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0m9q13qzgvp03jrsyc59l6pp7jf0dvhx768p21drs46qxw6wla7l"))))
+                "03z8hiw0mrhl3f0y7ypc46ic0w5vlp56prbqbk448jin5hakkkdg"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
        ("pkg-config" ,pkg-config)))
     (inputs
      `(("qtbase" ,qtbase)
-       ("wayland" ,wayland)))
+       ("wayland" ,wayland)
+       ("wayland-protocols" ,wayland-protocols)))
     (arguments
      `(#:tests? #f ; FIXME tests require weston to run
                    ; weston requires wayland flags in mesa
@@ -1028,7 +1065,7 @@ represented by a QPoint or a QSize.")
 (define-public kwidgetsaddons
   (package
     (name "kwidgetsaddons")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1037,7 +1074,7 @@ represented by a QPoint or a QSize.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0kpbvvmjrhxxjqc0cb63zlq06a3xspq43xv3wdingcn28zypynzc"))))
+                "1nzgv3v3kyq5jm2b9xri6qjawspr9ycxhskfvj8kkgr46dr35qyc"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1075,17 +1112,16 @@ configuration pages, message boxes, and password requests.")
 (define-public kwindowsystem
   (package
     (name "kwindowsystem")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
                     "mirror://kde/stable/frameworks/"
                     (version-major+minor version) "/"
                     name "-" version ".tar.xz"))
-              (patches (search-patches "kwindowsystem-qt-compat.patch"))
               (sha256
                (base32
-                "10zdxm08d758zbwlrbsn0ghxjpf39ids2s5pnca072gbrbrxv656"))))
+                "0nbkb8pkrbbp1s892ndzhakzri3qxpw48kibgb0rqz6i0azfxrz8"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1108,12 +1144,13 @@ configuration pages, message boxes, and password requests.")
              ;; Blacklist a failing test-functions. FIXME: Make it pass.
              (with-output-to-file "autotests/BLACKLIST"
                (lambda _
-                 (display "[testState]\n*\n")
-                 (display "[testSupported]\n*\n")))
+                 (display "[testGroupLeader]\n*\n")
+                 (display "[testClientMachine]\n*\n"))) ;; requires network
              #t))
          (replace 'check
            (lambda _
              ;; The test suite requires a running window anager
+             (setenv "XDG_RUNTIME_DIR" "/tmp")
              (system "Xvfb :1 -ac -screen 0 640x480x24 &")
              (setenv "DISPLAY" ":1")
              (sleep 5) ;; Give Xvfb a few moments to get on it's feet
@@ -1138,7 +1175,7 @@ lower level classes for interaction with the X Windowing System.")
 (define-public modemmanager-qt
   (package
     (name "modemmanager-qt")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1147,7 +1184,7 @@ lower level classes for interaction with the X Windowing System.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "10pkgm4dzsrfnjsf78pssd1wp0y27d1y834chd267hx9vgrv8axm"))))
+                "0yv5q71cyyy04051ny5lr7n35pw391gxr6l324n6c0z7kgc560ad"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1176,7 +1213,7 @@ messages.")
 (define-public networkmanager-qt
   (package
     (name "networkmanager-qt")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1185,7 +1222,7 @@ messages.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0j8l4k13vsqh0a8mw8dw5bc78xvxhz2rh7bb870as04i32bvw772"))))
+                "0ydfz6ikya1h8gg9c716y8lmy45iqnx0gaghkm0vz3c3ckx99l9g"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1215,7 +1252,7 @@ which are used in DBus communication.")
 (define-public oxygen-icons
   (package
     (name "oxygen-icons")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1224,7 +1261,7 @@ which are used in DBus communication.")
                     name "5" "-" version ".tar.xz"))
               (sha256
                (base32
-                "0fvm9bq1573xkha4a577s1iik8nwzks8xhrli5mm6rbh53s12wp4"))))
+                "0rh9bysiisnpz3c92hyba98f58dlmwf9zhbbb4vmab0qvm5d3q9g"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1240,7 +1277,7 @@ which are used in DBus communication.")
 (define-public prison
   (package
     (name "prison")
-    (version "5.55.0")
+    (version "5.63.0")
     (source
      (origin
        (method url-fetch)
@@ -1248,7 +1285,7 @@ which are used in DBus communication.")
                            (version-major+minor version) "/"
                            name "-" version ".tar.xz"))
        (sha256
-        (base32 "1xadc2fq6csml78czg5p572cwvmqmn334a5dxjnd7k1pdx50gi07"))))
+        (base32 "0spkm5j2qmwl374xrbm054rjv4rcqwsz0wl5v2nyrfq2ma4bzzw5"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -1265,7 +1302,7 @@ provides uniform access to generation of barcodes with data.")
 (define-public qqc2-desktop-style
   (package
     (name "qqc2-desktop-style")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1274,7 +1311,7 @@ provides uniform access to generation of barcodes with data.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0aj37ldc3ywqap3sz73j54kbzycn529imr15jgl252k04rqpjya5"))))
+                "1sz2735fn5665pyb5v70y2fmw2mkziq83di4h06pwday9vf2r6l5"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1299,7 +1336,7 @@ feel.")
 (define-public solid
   (package
     (name "solid")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1308,7 +1345,7 @@ feel.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "18dw55g41q34m2qzvybvpsas1dnyryqxnlf2md0xc4r36ib9p2pn"))))
+                "0i124kyhd1hfnajp0hnqma35ycr3bh60z39gc6byhxb75p59swnl"))))
     (build-system cmake-build-system)
     (arguments
      `(#:phases
@@ -1338,7 +1375,7 @@ system.")
 (define-public sonnet
   (package
     (name "sonnet")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1347,7 +1384,7 @@ system.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "13bb1s2f4kfaikcga297j2fqlyr4qxdcq4v1b3zs1gas4z1wpcg6"))))
+                "0gqxmyxmwn2rs9f8x2z8pfmbx0mvkyh7nalnsmfqkph8f0fja9ig"))))
     (build-system cmake-build-system)
     (arguments
      `(#:phases
@@ -1375,7 +1412,7 @@ ASpell and HUNSPELL.")
 (define-public threadweaver
   (package
     (name "threadweaver")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1384,7 +1421,7 @@ ASpell and HUNSPELL.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0r0ml5pz7h0vmydcg4gqqkl21lp6c5gqdwyfsnyad02dcjkh4hql"))))
+                "0z2906nmamvcg85jip98wq834rjs3nc1qlv3q182gw1cnh4nbdag"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -1405,7 +1442,7 @@ uses a job-based interface to queue tasks and execute them in an efficient way."
 (define-public kactivities
   (package
     (name "kactivities")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1414,7 +1451,7 @@ uses a job-based interface to queue tasks and execute them in an efficient way."
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0dp9vx2nl9fnawzcz04fqa731s3bk2izxrqbvn71aqyrs7fymabg"))))
+                "03h5r7z2a449hfvaj3zk1n7dhpj49liy5q60fb4nxz4yjkgca27s"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -1450,7 +1487,7 @@ with other frameworks.")
 (define-public kauth
   (package
     (name "kauth")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1459,7 +1496,7 @@ with other frameworks.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1w6bp2kbp1sn4cl76fgl2pqrg660ix99qq4h65g090kc934np3zc"))))
+                "08gkgmxaxqpavsqdmcgs4i8j63pg5qld7agd58irpw29pgq1fj9c"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("dbus" ,dbus)
@@ -1497,7 +1534,7 @@ utilities.")
 (define-public kcompletion
   (package
     (name "kcompletion")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1506,7 +1543,7 @@ utilities.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "08ym79fqk7vshsf3jk37d6jvg7ys63kwflcn5dff5ci18jan2ir2"))))
+                "10ggypg09acc19gkvxsigfsaq8s5vqv64ada307blpzy8j74bisb"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1533,7 +1570,7 @@ integrated it into your application's other widgets.")
 (define-public kcrash
   (package
     (name "kcrash")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1542,7 +1579,7 @@ integrated it into your application's other widgets.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "08a8c5mbj6ll0d1ivhcjx5ga1jfbnwxsk618wcfpwwi6mkxrc3f9"))))
+                "1xl3bzxfchfafcplil3g07gq1a3fnwx1i40bxp4jfsgb8d8slfwc"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -1568,7 +1605,7 @@ application crashes.")
 (define-public kdoctools
   (package
     (name "kdoctools")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1577,7 +1614,7 @@ application crashes.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0dlal0vkxf5yh1hbfhrcrxqqi1w43q7bvv8ws8pb18jjgimzr46l"))))
+                "1zna9szii2r9agwfqbglk904zzpr3fyrz6x5v2rxrm3c9m110sm4"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -1625,7 +1662,7 @@ from DocBook files.")
 (define-public kfilemetadata
   (package
     (name "kfilemetadata")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1634,7 +1671,7 @@ from DocBook files.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0fqj266f9f66rfjzg0rl35fac5rn5n3npyfb4gsla3mdc8fjz9mi"))))
+                "11wvddb7nqdyi5rin3xa0p32lmvc62yw47hwcdzc01lkfbxdn050"))))
     (build-system cmake-build-system)
     (arguments
      `(#:phases
@@ -1646,6 +1683,7 @@ from DocBook files.")
              ;; -> EOPNOTSUPP (Operation not supported)
              (with-output-to-file "autotests/BLACKLIST"
                (lambda _
+                 (display "[testMimetype]\n*\n")
                  (display "[test]\n*\n")))
              #t)))))
     (native-inputs
@@ -1656,6 +1694,7 @@ from DocBook files.")
      `(("attr" ,attr)
        ;; TODO: EPub http://sourceforge.net/projects/ebook-tools
        ("karchive" ,karchive)
+       ("kcoreaddons" ,kcoreaddons)
        ("ki18n" ,ki18n)
        ("qtmultimedia" ,qtmultimedia)
        ("qtbase" ,qtbase)
@@ -1677,7 +1716,7 @@ by applications to write metadata.")
 (define-public kimageformats
   (package
     (name "kimageformats")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1686,7 +1725,7 @@ by applications to write metadata.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0hhxv8m5993vlpi5yf7w3fadzckficn16flshdkby7bwq8agrbz1"))))
+                "15y339by7jvsbmfqb33s3ain7sfhx3789xy2xjpkh5f2f9v29r2b"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1731,7 +1770,7 @@ formats.")
 (define-public kjobwidgets
   (package
     (name "kjobwidgets")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1740,7 +1779,7 @@ formats.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1pbx974jpn8n2080gblmbh8q0yb5wxb9xblpm100rbhpg20sc2by"))))
+                "0pg055ampm69yr1vn03s1ys3p18raj8f5pcg0hg9hb4sjkyrr3pn"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1759,7 +1798,7 @@ asynchronous jobs.")
 (define-public knotifications
   (package
     (name "knotifications")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1768,7 +1807,7 @@ asynchronous jobs.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1dbrk9r3w8pmg15bhrb8qdk4fiqvc9qggb67zvk1n7ddlfkyarz6"))))
+                "1rknfn50kq6ng7gclgg0n4qyhv2grc7xcf3gcax3bbyy46gajsl8"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -1805,7 +1844,7 @@ covers feedback and persistent events.")
 (define-public kpackage
   (package
     (name "kpackage")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1814,7 +1853,7 @@ covers feedback and persistent events.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "175b0lj4qybddjpc25b1p60lr8f9220i9ymk3wk3y3vf4893v833"))
+                "1h57kicsjkisysd2mmd5q9q5m421xqcv3p8vkjlqxkph5sa7y2q5"))
               ;; Default to: external paths/symlinks can be followed by a
               ;; package
               (patches (search-patches "kpackage-allow-external-paths.patch"))))
@@ -1866,7 +1905,7 @@ were traditional plugins.")
 (define-public kpty
   (package
     (name "kpty")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1875,7 +1914,7 @@ were traditional plugins.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0r5080xl7x13qmjnjssb0d1pk626anaa4xahb7fi869fndr4xhzn"))))
+                "10v61016kd1q41n4dwac1nsiixji64i5y501nx0hphpjkjbaklkr"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -1903,7 +1942,7 @@ and communicating with them using a pty.")
 (define-public kunitconversion
   (package
     (name "kunitconversion")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1912,7 +1951,7 @@ and communicating with them using a pty.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1v5cfxk5v76w1f1qvrpilrs111wvp8bn2p3bswhqp4lg0qxync0q"))))
+                "0yzq2jxja9wnhz91cyli2mnw32xynnzbf1lr0hk6vi8a1w2mkrzz"))))
     (build-system cmake-build-system)
     (arguments
      `(#:phases
@@ -1946,7 +1985,7 @@ gallons).")
 (define-public baloo
   (package
     (name "baloo")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1955,7 +1994,7 @@ gallons).")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "068ms071639pskhjz37cszylvfzzqhp7x1rmwdfn5nlvzrv6lrxh"))))
+                "1qhqv19glg98146cyc7ykq02b5b9m936xcml1w1p8fx32cp2zbch"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kcoreaddons" ,kcoreaddons)
@@ -2011,7 +2050,7 @@ maintaining an index of the contents of your files.")
 (define-public kactivities-stats
   (package
     (name "kactivities-stats")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2020,7 +2059,7 @@ maintaining an index of the contents of your files.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "12n178244ysfak0x9qm9a2k814qi56w8xpkg03na7hlsz2l4y9v6"))))
+                "187fyl92pnkn317pi1pkmf7bv5z6aqdhqa6b8531xgl06gyigy45"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -2041,7 +2080,7 @@ by which applications, and what documents have been linked to which activity.")
 (define-public kbookmarks
   (package
     (name "kbookmarks")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2050,7 +2089,7 @@ by which applications, and what documents have been linked to which activity.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0vsn98znzdbiy8clbl9p3kiag3zvxgc9701gwg2ig8mpv3ci9lkg"))))
+                "011r2ms57ycz5kma0q35cji4isj0lskrxrambk11jibs1xjdis2v"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kwidgetsaddons" ,kwidgetsaddons)))
@@ -2084,7 +2123,7 @@ using the XBEL format.")
 (define-public kcmutils
   (package
     (name "kcmutils")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2093,7 +2132,7 @@ using the XBEL format.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1f49864xpxrbj77n7l474wkn3rw4zy8vkl3psdya7ccdk7ac2s0k"))))
+                "1q12n9sfgrm2f8bspsl5i9gbv4jwl25w5id9m9rnnr87hck35g68"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kconfigwidgets" ,kconfigwidgets)
@@ -2137,7 +2176,7 @@ KCModules can be created with the KConfigWidgets framework.")
 (define-public kconfigwidgets
   (package
     (name "kconfigwidgets")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2146,7 +2185,7 @@ KCModules can be created with the KConfigWidgets framework.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0npfp6z5lc2h8y6slmz3sbymyyv9k2w73rpsjzl5zswqhzlvrb5k"))))
+                "098xdfvnyz9bdkc6iyq5r2s4vkfdhbrri4015yzbs73j4f2wcxz5"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kauth" ,kauth)
@@ -2160,7 +2199,9 @@ KCModules can be created with the KConfigWidgets framework.")
      `(("kcoreaddons" ,kcoreaddons)
        ("kguiaddons" ,kguiaddons)
        ("ki18n" ,ki18n)
-       ("qtbase" ,qtbase)))
+       ;; todo: PythonModuleGeneration
+       ("qtbase" ,qtbase)
+       ("qttools" ,qttools)))
     (arguments
      `(#:phases
        (modify-phases %standard-phases
@@ -2187,7 +2228,7 @@ their settings.")
 (define-public kdeclarative
   (package
     (name "kdeclarative")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2196,7 +2237,7 @@ their settings.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "043jl7rn9yawh04fwgaxb8iwksn3z8qb4yfc4s6v1znwcs7ajlda"))))
+                "027wnrmr79fxkf4jpdpfhp7smdai2wn9y71l1h4kgqgwfq8anwy8"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kconfig" ,kconfig)
@@ -2250,7 +2291,7 @@ that offer bindings to some of the Frameworks.")
 (define-public kded
   (package
     (name "kded")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2259,7 +2300,7 @@ that offer bindings to some of the Frameworks.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0kn9kzzji257mppd12jzwiibha8127ajxvng2ls765lylv9nad7q"))))
+                "0kjr6ff1g6xyas5si9b7zilcqcx4mgfkzfpq2c59fz1wd8q8fl05"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -2283,16 +2324,16 @@ started on demand.")
 (define-public kdesignerplugin
   (package
     (name "kdesignerplugin")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
                     "mirror://kde/stable/frameworks/"
-                    (version-major+minor version) "/"
+                    (version-major+minor version) "/portingAids/"
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "114035wil0p5z6h0li8wjzivsdxhqbih54kn4nvhn43b71xnzs3y"))))
+                "1w7glszd82iyw6kxzmp0568rm3qfadi7vw7gfxg4c15w5ikkvxn9"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -2334,7 +2375,7 @@ ini-style description files.")
 (define-public kdesu
   (package
     (name "kdesu")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2343,7 +2384,7 @@ ini-style description files.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1x2gjnmgpcaxvfav2pm92zfgxbn60awpvmn9ycs68rq47p6h9x0f"))))
+                "038m0sdpnsy50m3g78sfg7wk26933rh3578qsnapw2cyimx8ypxx"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kpty" ,kpty)))
@@ -2365,16 +2406,16 @@ with su and ssh respectively.")
 (define-public kdewebkit
   (package
     (name "kdewebkit")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
                     "mirror://kde/stable/frameworks/"
-                    (version-major+minor version) "/"
+                    (version-major+minor version) "/portingAids/"
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1mnbdsiih94hlwwff9fs9gnzl3y7ayf1pskmz1rajgjmqd6rm7mm"))))
+                "1s3bmn1ck7xvc7a6gv7ywv9161hdahiiw20aq88s4qkm2s5wyy6v"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -2387,6 +2428,7 @@ with su and ssh respectively.")
        ("kservice" ,kservice)
        ("kwallet" ,kwallet)
        ("qtbase" ,qtbase)
+       ("qttools" ,qttools)
        ("qtwebkit" ,qtwebkit)))
     (home-page "https://community.kde.org/Frameworks")
     (synopsis "KDE Integration for QtWebKit")
@@ -2397,7 +2439,7 @@ engine WebKit via QtWebKit.")
 (define-public kemoticons
   (package
     (name "kemoticons")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2406,7 +2448,7 @@ engine WebKit via QtWebKit.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "03vx22f9mjd10qm61f6ihr283w2sarrhg0rssxp7g7wahvshcvmh"))))
+                "0li1lz5kqlczvgq6b2x3nkr0hl96a337ab83fq9wxp5sx440d6sd"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kservice" ,kservice)))
@@ -2437,7 +2479,7 @@ emoticons coming from different providers.")
 (define-public kglobalaccel
   (package
     (name "kglobalaccel")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2446,7 +2488,7 @@ emoticons coming from different providers.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1c6dxp6jvbw8l74n1mv0v62yr34b9447szhvd61y4sxmmfjimhz4"))))
+                "1xpfvwnrj81mk3di02n37b469gxzmnk89icmcz6wwyk54m86fw76"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -2481,7 +2523,7 @@ window does not need focus for them to be activated.")
 (define-public kiconthemes
   (package
     (name "kiconthemes")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2490,7 +2532,7 @@ window does not need focus for them to be activated.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1rgbfklb7xxg7z2zyrsmaxf883ixgfbkqilps3npwk3xac2f66rw"))))
+                "18p4np4chykpy2ck8c76999nh8gdj75hjfakg1pakdqhlash9q6w"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -2506,7 +2548,8 @@ window does not need focus for them to be activated.")
        ("kitemviews" ,kitemviews)
        ("kwidgetsaddons" ,kwidgetsaddons)
        ("qtbase" ,qtbase)
-       ("qtsvg" ,qtsvg)))
+       ("qtsvg" ,qtsvg)
+       ("qttools" ,qttools)))
     (arguments
      `(#:phases
        (modify-phases %standard-phases
@@ -2528,7 +2571,7 @@ in applications using the KDE Frameworks.")
 (define-public kinit
   (package
     (name "kinit")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2537,7 +2580,7 @@ in applications using the KDE Frameworks.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "11xwiny5sfqbdls249vnq6ssp5pzw1w9wg4ql9nkwwygl4ml8b9y"))
+                "06p0i9674nzam0f4ac2jrl9pgkycz0lc0kdn24ds2rlh85cqvjwx"))
               ;; Use the store paths for other packages and dynamically loaded
               ;; libs
               (patches (search-patches "kinit-kdeinit-extra_libs.patch"
@@ -2597,7 +2640,7 @@ consumption.")
 (define-public kio
   (package
     (name "kio")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2606,7 +2649,7 @@ consumption.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1k3cn7hvp5z9nirss29v164hahrlvlqivxlk64c8w9ynjx699ira"))
+                "048gq6j8di6nzsacpr8j40kw6y5607zgwqr21ahcnnb0gd2sly4l"))
               (patches (search-patches "kio-search-smbd-on-PATH.patch"))))
     (build-system cmake-build-system)
     (propagated-inputs
@@ -2643,6 +2686,7 @@ consumption.")
        ("libxslt" ,libxslt)
        ("qtbase" ,qtbase)
        ("qtscript" ,qtscript)
+       ("qttools" ,qttools)
        ("qtx11extras" ,qtx11extras)
        ("sonnet" ,sonnet)))
     (arguments
@@ -2690,7 +2734,7 @@ KIO enabled infrastructure.")
 (define-public knewstuff
   (package
     (name "knewstuff")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2699,7 +2743,7 @@ KIO enabled infrastructure.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0a2d9wrhjsjl0klsrn501sp9681v7qmq6hmalw061arjv165dzw2"))))
+                "0pkm7qapkd9xypmhsjfwlgq0l4nfgya5b23lv3zkci8lrbssaqsv"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("attica" ,attica)
@@ -2746,7 +2790,7 @@ specification.")
 (define-public knotifyconfig
   (package
     (name "knotifyconfig")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2755,7 +2799,7 @@ specification.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "01hxj6s2sq5k5j6j1y4c5gxyl1886j7ghh0hdc95b7n4gdjwwbci"))))
+                "1d90gsnxy3kqd6f1bkhflrdwwx3w65sw4c7nfpkdxxhlqhzc9zr4"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -2788,7 +2832,7 @@ notifications which can be embedded in your application.")
 (define-public kparts
   (package
     (name "kparts")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2797,7 +2841,7 @@ notifications which can be embedded in your application.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0gqkgnvkdai8hbg1n32jq4a3yzlkarmw8a7hxlfr0ykgysanjh65"))))
+                "0md0349r4mdm2r04p5s3pgm17v4w40r3kz58lzp6qfcw25b969nw"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kio" ,kio)
@@ -2840,7 +2884,7 @@ widgets with a user-interface defined in terms of actions.")
 (define-public kpeople
   (package
     (name "kpeople")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2849,7 +2893,7 @@ widgets with a user-interface defined in terms of actions.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0vbgi4l14g4f0klbxqbkjcag6yi0ghhpxn5nik5sssmcx8qyk885"))))
+                "1q2hh2i8hd638p907g0srdxmxm9h2ay91dmhslqzcgwnlhln4gfl"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -2883,7 +2927,7 @@ to easily extend the contacts collection.")
 (define-public krunner
   (package
     (name "krunner")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2892,7 +2936,7 @@ to easily extend the contacts collection.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0yw2jh9dailhcwkkjl2qggg5k90bwbfsn88a3hzwyj2ng2haypis"))))
+                "0gjqwzsg865gha8k7hda28hsrbfzhw9jz610lkqff5713lqbcn5a"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("plasma-framework" ,plasma-framework)))
@@ -2953,7 +2997,7 @@ typed.")
 (define-public kservice
   (package
     (name "kservice")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -2962,7 +3006,7 @@ typed.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0k8xksmw2ai7m0js7l98rv5v6ykifmnqiyy2yc1xhgn40lf1r89j"))))
+                "1rdapw9wirfq6pyaza0k7sg6q21rv3cfyalpzrwfrk5gkgpqxzwk"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kconfig" ,kconfig)
@@ -3012,7 +3056,7 @@ types or handled by application specific code.")
 (define-public ktexteditor
   (package
     (name "ktexteditor")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -3021,7 +3065,7 @@ types or handled by application specific code.")
                     "ktexteditor-" version ".tar.xz"))
               (sha256
                (base32
-                "0b5zqhm5aw7jj7dj600xa674ik11gwyzamhyz5962xhvsg5pyjwx"))))
+                "0vfl6rr3624n8v29z07z5c0nh5af5kfg28cnp5ksfvfnssxfzfqa"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kparts" ,kparts)))
@@ -3093,7 +3137,7 @@ library.")
 (define-public ktextwidgets
   (package
     (name "ktextwidgets")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -3102,7 +3146,7 @@ library.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1ymqmb5z4flzrns3wdjagxbzbpighbincwbhy29a0mqg4zcm82xk"))))
+                "1qb1mad5bg19xwykzpwk2b3s505ka4jkg0fsi56ri57wq8gv4qha"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("ki18n" ,ki18n)
@@ -3121,7 +3165,8 @@ library.")
        ("kwidgetsaddons" ,kwidgetsaddons)
        ("kwindowsystem" ,kwindowsystem)
        ("qtbase" ,qtbase)
-       ("qtspeech" ,qtspeech)))
+       ("qtspeech" ,qtspeech)
+       ("qttools" ,qttools)))
     (arguments
      `(#:phases
        (modify-phases %standard-phases
@@ -3140,7 +3185,7 @@ It supports rich text as well as plain text.")
 (define-public kwallet
   (package
     (name "kwallet")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -3149,7 +3194,7 @@ It supports rich text as well as plain text.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1dp072h5r6yd81i69759pj8klfsikrg25za44sry2kh6fxvwmngm"))))
+                "1dp3mrgl0h6wqp4wcqpvnvkacwkrrn5lrv6bdl008kx1y594s28g"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)))
@@ -3182,7 +3227,7 @@ the passwords on KDE work spaces.")
 (define-public kxmlgui
   (package
     (name "kxmlgui")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -3191,7 +3236,7 @@ the passwords on KDE work spaces.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "0ph67zarf1sccvp7882brrihv4dsmxq0nggan0rnk54qg0zdhgcn"))))
+                "0x0mfapgl8w4xal8lamh3v27a9kdb7qyaxdn48gja4x85pkvi87i"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kconfig" ,kconfig)
@@ -3211,6 +3256,7 @@ the passwords on KDE work spaces.")
        ("kwidgetsaddons" ,kwidgetsaddons)
        ("kwindowsystem" ,kwindowsystem)
        ("qtbase" ,qtbase)
+       ("qttools" ,qttools)
        ("sonnet" ,sonnet)))
     (arguments
      `(#:tests? #f ; FIXME: 1/5 tests fail.
@@ -3234,7 +3280,7 @@ descriptions for integrating actions from plugins.")
 (define-public kxmlrpcclient
   (package
     (name "kxmlrpcclient")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -3243,7 +3289,7 @@ descriptions for integrating actions from plugins.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1573wnv2fbjjzgx3f1qm7y8wlj22bz45mny0rxci90i76nnh4538"))))
+                "0k82cyxjipqpky7gs0zb5s1bc6jf22d5vwpwyiqjy32da63mc89c"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kio" ,kio)))
@@ -3277,7 +3323,7 @@ setUrl, setUserAgent and call.")
 (define-public plasma-framework
   (package
     (name "plasma-framework")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -3286,7 +3332,7 @@ setUrl, setUserAgent and call.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1pvxxw52s03i11p5byd2sh8sbvlk6h8q6briq9d4qvjy6c0pmbq4"))))
+                "0p0ziqw70lklx59d0nij3p9yi1vdacdfyrrp7zf74iwxd7598hci"))))
     (build-system cmake-build-system)
     (propagated-inputs
      `(("kpackage" ,kpackage)
@@ -3374,7 +3420,7 @@ script engines.")
 (define-public kde-frameworkintegration
   (package
     (name "kde-frameworkintegration")
-    (version "5.55.0")
+    (version "5.63.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -3383,7 +3429,7 @@ script engines.")
                     "frameworkintegration-" version ".tar.xz"))
               (sha256
                (base32
-                "0pfpk268x06pjwciv4jr5v259kjck0sf4xzsgn29ifkmsk74wwmi"))))
+                "0n8n6lnzswi2q848qy2b4rcvkd0y1dywlk6hdmcnn8dfbxy6b050"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -3431,7 +3477,7 @@ workspace.")
 (define-public kdelibs4support
   (package
     (name "kdelibs4support")
-    (version "5.55.0")
+    (version "5.63.0")
     (source
      (origin
        (method url-fetch)
@@ -3440,7 +3486,7 @@ workspace.")
              (version-major+minor version) "/portingAids/"
              name "-" version ".tar.xz"))
        (sha256
-        (base32 "1l1gjv06yp9jdiapiypwscbb6y0rfgrnw9rdsl7kkxh9ps8b8j39"))))
+        (base32 "17mywcmgp1yzdipwwaypbkxiyybk1w0sps50jv1bl0f23ya19mlc"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("dbus" ,dbus)
@@ -3547,7 +3593,7 @@ http://community.kde.org/Frameworks/Porting_Notes should help with this.")
 (define-public khtml
   (package
     (name "khtml")
-    (version "5.55.0")
+    (version "5.63.0")
     (source
      (origin
        (method url-fetch)
@@ -3556,7 +3602,7 @@ http://community.kde.org/Frameworks/Porting_Notes should help with this.")
              (version-major+minor version) "/portingAids/"
              name "-" version ".tar.xz"))
        (sha256
-        (base32 "0wh9z5xm0gaf1c2s7cq7763jfyv83d58x80nwsvb0ayd6y8id1bq"))))
+        (base32 "15f77r6dxkkvi2vxvxlwa7qz3whmz229g79bgadiwffmzxja0ywd"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -3606,7 +3652,7 @@ technology and using KJS for JavaScript support.")
 (define-public kjs
   (package
     (name "kjs")
-    (version "5.55.0")
+    (version "5.63.0")
     (source
      (origin
        (method url-fetch)
@@ -3615,7 +3661,7 @@ technology and using KJS for JavaScript support.")
              (version-major+minor version) "/portingAids/"
              name "-" version ".tar.xz"))
        (sha256
-        (base32 "0c1wyxsgn70jvw7zcjjpw12w9sg9xxvyslgnqlnnyh8sx7rrp70c"))))
+        (base32 "16zsan9c8kba5m70h34y544id7gig2bcbcs4s90s27pckijkkarp"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -3639,7 +3685,7 @@ support.")
 (define-public kjsembed
   (package
     (name "kjsembed")
-    (version "5.55.0")
+    (version "5.63.0")
     (source
      (origin
        (method url-fetch)
@@ -3648,7 +3694,7 @@ support.")
              (version-major+minor version) "/portingAids/"
              name "-" version ".tar.xz"))
        (sha256
-        (base32 "0dh9012y9bqj48jp50lrsmd28bbvf4jd93l34vfzmza252yvyw3l"))))
+        (base32 "00sr6lv1nai2y6aawvqwnx4pbx8pw9b1jrpa0klc014gc42l6i7b"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -3668,7 +3714,7 @@ QObjects, so you can script your applications.")
 (define-public kmediaplayer
   (package
     (name "kmediaplayer")
-    (version "5.55.0")
+    (version "5.63.0")
     (source
      (origin
        (method url-fetch)
@@ -3677,7 +3723,7 @@ QObjects, so you can script your applications.")
              (version-major+minor version) "/portingAids/"
              name "-" version ".tar.xz"))
        (sha256
-        (base32 "0gpfrhgk2l63lyz0bz93cg7mc5g7mjvrkfvpyndmi1v7vhndp5zq"))))
+        (base32 "19v53h3lkys3ryrjacrdng9ak91g03b9s986xhnw1r84zy242kdm"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -3714,7 +3760,7 @@ KParts instead.")
 (define-public kross
   (package
     (name "kross")
-    (version "5.55.0")
+    (version "5.63.0")
     (source
      (origin
        (method url-fetch)
@@ -3723,7 +3769,7 @@ KParts instead.")
              (version-major+minor version) "/portingAids/"
              name "-" version ".tar.xz"))
        (sha256
-        (base32 "0p3q36gka6m62nryc3l11d30mlhiqjpghvfcyq6wikiqlv2kqvjs"))))
+        (base32 "0paipgkxbm6vwgqj38rlr37vgmf1rx0cl2mka8zdbndl76ng5hgc"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 2d72c39436..6a474b293b 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -407,41 +407,6 @@ illustrators, matte and texture artists, and the VFX industry.  Notable
 features include brush stabilizers, brush engines and wrap-around mode.")
     (license license:gpl2+)))
 
-(define-public kholidays
-  (package
-    (name "kholidays")
-    (version "17.12.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append
-             "mirror://kde/stable/applications/" version "/src/"
-             name "-" version ".tar.xz"))
-       (sha256
-        (base32 "0595d7wbnz8kyq1bnivdrp20lwdp8ykvdll1fmb0fgm4q24z0cl8"))))
-    (build-system cmake-build-system)
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-before 'check 'check-setup
-           (lambda _
-             ;; blacklist a failing test function TODO: make it pass
-             (with-output-to-file "autotests/BLACKLIST"
-               (lambda _
-                 (display "[testDefaultRegions]\n*\n")))
-             #t)))))
-    (native-inputs
-     `(("extra-cmake-modules" ,extra-cmake-modules)
-       ("qttools" ,qttools)))
-    (inputs
-     `(("qtbase" ,qtbase)
-       ("qtdeclarative" ,qtdeclarative)))
-    (home-page "https://cgit.kde.org/kholidays.git")
-    (synopsis "Library for regional holiday information")
-    (description "This library provides a C++ API that determines holiday and
-other special events for a geographical region.")
-    (license license:lgpl2.0+)))
-
 (define-public libkomparediff2
   (package
     (name "libkomparediff2")
diff --git a/gnu/packages/patches/kinit-kdeinit-extra_libs.patch b/gnu/packages/patches/kinit-kdeinit-extra_libs.patch
index 8dcd4d3e95..c3c4ce1161 100644
--- a/gnu/packages/patches/kinit-kdeinit-extra_libs.patch
+++ b/gnu/packages/patches/kinit-kdeinit-extra_libs.patch
@@ -8,15 +8,13 @@ pkgs/development/libraries/kde-frameworks/kinit/kdeinit-extra_libs.patch
 ===================================================================
 --- kinit-5.32.0/src/kdeinit/kinit-5.32.0/src/kdeinit/.orig
 +++ kinit-5.32.0/src/kdeinit/kinit.cpp
-@@ -96,11 +96,9 @@
+@@ -96,9 +96,9 @@
      "libKF5Parts.5.dylib",
      "libKF5Plasma.5.dylib"
  #else
 -    "libKF5KIOCore.so.5",
 -    "libKF5Parts.so.5",
--//#ifdef __KDE_HAVE_GCC_VISIBILITY // Removed for KF5, we'll see.
 -    "libKF5Plasma.so.5"
--//#endif
 +    "GUIX_PKGS_KF5_KIO/lib/libKF5KIOCore.so.5",
 +    "GUIX_PKGS_KF5_PARTS/lib/libKF5Parts.so.5",
 +    "GUIX_PKGS_KF5_PLASMA/lib/libKF5Plasma.so.5"
diff --git a/gnu/packages/patches/kwindowsystem-qt-compat.patch b/gnu/packages/patches/kwindowsystem-qt-compat.patch
deleted file mode 100644
index ef31636917..0000000000
--- a/gnu/packages/patches/kwindowsystem-qt-compat.patch
+++ /dev/null
@@ -1,97 +0,0 @@
-Fix test failure with Qt 5.12.
-
-Taken from upstream:
-https://cgit.kde.org/kwindowsystem.git/commit/?id=14998613603c7d8f91b011a2c9c20396067add0e
-
-diff --git a/autotests/CMakeLists.txt b/autotests/CMakeLists.txt
-index f8e67f0..c1121a7 100644
---- a/autotests/CMakeLists.txt
-+++ b/autotests/CMakeLists.txt
-@@ -12,12 +12,12 @@ add_subdirectory(helper)
- 
- if (NOT APPLE)
-     find_package(X11)
--    find_package(XCB COMPONENTS XCB KEYSYMS)
-+    find_package(XCB COMPONENTS XCB ICCCM KEYSYMS)
- endif()
- 
- macro(KWINDOWSYSTEM_UNIT_TESTS)
-    foreach(_testname ${ARGN})
--      set(libs KF5::WindowSystem Qt5::Test Qt5::Widgets Qt5::X11Extras XCB::KEYSYMS)
-+      set(libs KF5::WindowSystem Qt5::Test Qt5::Widgets Qt5::X11Extras XCB::ICCCM XCB::KEYSYMS)
-       if(X11_FOUND)
-          list(APPEND libs ${XCB_XCB_LIBRARY})
-       endif()
-diff --git a/autotests/kwindowinfox11test.cpp b/autotests/kwindowinfox11test.cpp
-index 634c650..f483c46 100644
---- a/autotests/kwindowinfox11test.cpp
-+++ b/autotests/kwindowinfox11test.cpp
-@@ -25,8 +25,11 @@
- #include <qtest_widgets.h>
- #include <QScreen>
- #include <QSignalSpy>
-+#include <QSysInfo>
- #include <QX11Info>
- 
-+#include <xcb/xcb_icccm.h>
-+
- #include <unistd.h>
- 
- Q_DECLARE_METATYPE(WId)
-@@ -598,19 +601,23 @@ void KWindowInfoX11Test::testWindowRole()
- 
- void KWindowInfoX11Test::testClientMachine()
- {
-+    const QByteArray oldHostName = QSysInfo::machineHostName().toLocal8Bit();
-+
-     KWindowInfo info(window->winId(), NET::Properties(), NET::WM2ClientMachine);
--    QVERIFY(info.clientMachine().isNull());
-+    QCOMPARE(info.clientMachine(), oldHostName);
- 
-     // client machine needs to be set through xcb
-+    const QByteArray newHostName = oldHostName + "2";
-     xcb_change_property(QX11Info::connection(), XCB_PROP_MODE_REPLACE, window->winId(),
--                        XCB_ATOM_WM_CLIENT_MACHINE, XCB_ATOM_STRING, 8, 9, "localhost");
-+                        XCB_ATOM_WM_CLIENT_MACHINE, XCB_ATOM_STRING, 8, newHostName.count(),
-+                        newHostName.data());
-     xcb_flush(QX11Info::connection());
- 
-     // it's just a property change so we can easily refresh
-     QX11Info::getTimestamp();
- 
-     KWindowInfo info2(window->winId(), NET::Properties(), NET::WM2ClientMachine);
--    QCOMPARE(info2.clientMachine(), QByteArrayLiteral("localhost"));
-+    QCOMPARE(info2.clientMachine(), newHostName);
- }
- 
- void KWindowInfoX11Test::testName()
-@@ -680,11 +687,25 @@ void KWindowInfoX11Test::testTransientFor()
- 
- void KWindowInfoX11Test::testGroupLeader()
- {
--    KWindowInfo info(window->winId(), NET::Properties(), NET::WM2GroupLeader);
--    QCOMPARE(info.groupLeader(), WId(0));
-+    // WM_CLIENT_LEADER is set by default
-+    KWindowInfo info1(window->winId(), NET::Properties(), NET::WM2GroupLeader);
-+    QVERIFY(info1.groupLeader() != XCB_WINDOW_NONE);
-+
-+    xcb_connection_t *connection = QX11Info::connection();
-+    xcb_window_t rootWindow = QX11Info::appRootWindow();
-+
-+    xcb_window_t leader = xcb_generate_id(connection);
-+    xcb_create_window(connection, XCB_COPY_FROM_PARENT, leader, rootWindow, 0, 0, 1, 1,
-+        0, XCB_WINDOW_CLASS_INPUT_OUTPUT, XCB_COPY_FROM_PARENT, 0, nullptr);
-+
-+    xcb_icccm_wm_hints_t hints = {};
-+    hints.flags = XCB_ICCCM_WM_HINT_WINDOW_GROUP;
-+    hints.window_group = leader;
-+    xcb_icccm_set_wm_hints(connection, leader, &hints);
-+    xcb_icccm_set_wm_hints(connection, window->winId(), &hints);
- 
--    // TODO: here we should try to set a group leader and re-read it
--    // this needs setting and parsing the WMHints
-+    KWindowInfo info2(window->winId(), NET::Properties(), NET::WM2GroupLeader);
-+    QCOMPARE(info2.groupLeader(), leader);
- }
- 
- void KWindowInfoX11Test::testExtendedStrut()
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:09:58 2019
Received: from localhost ([127.0.0.1]:58117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpPy-0004xi-Fj
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:09:58 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:45927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpPw-0004xa-Rx
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:09:57 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tYc323qz1rd2G
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:56 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tYc2xQ1z1qqkL
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:56 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id Cea0n0wMIK4p for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:09:55 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:55 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 2571E601CC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 02/13] gnu: phonon-backend-gstreamer: Update to 4.10.0.
Date: Sat,  2 Nov 2019 10:09:39 +0100
Message-Id: <20191102090950.18043-2-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
In-Reply-To: <20191102090950.18043-1-h.goebel@HIDDEN>
References: <20191102090950.18043-1-h.goebel@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/kde-frameworks.scm(phonon-backend-gstreamer): Update to 4.10.0;
  [inputs]: Add qttools.
---
 gnu/packages/kde-frameworks.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index a084d7a260..613a1a9734 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -180,7 +180,7 @@ common build settings used in software produced by the KDE community.")
 (define-public phonon-backend-gstreamer
   (package
     (name "phonon-backend-gstreamer")
-    (version "4.9.0")
+    (version "4.10.0")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -189,7 +189,7 @@ common build settings used in software produced by the KDE community.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1wc5p1rqglf0n1avp55s50k7fjdzdrhg0gind15k8796w7nfbhyf"))))
+                "1wk1ip2w7fkh65zk6rilj314dna0hgsv2xhjmpr5w08xa8sii1y5"))))
     (build-system cmake-build-system)
     (native-inputs
      `(("extra-cmake-modules" ,extra-cmake-modules)
@@ -198,6 +198,7 @@ common build settings used in software produced by the KDE community.")
      `(("qtbase" ,qtbase)
        ("phonon" ,phonon)
        ("qtbase" ,qtbase)
+       ("qttools" ,qttools)
        ("qtx11extras" ,qtx11extras)
        ("gstreamer" ,gstreamer)
        ("gst-plugins-base" ,gst-plugins-base)
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at 38030 <at> debbugs.gnu.org:


Received: (at 38030) by debbugs.gnu.org; 2 Nov 2019 09:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:09:56 2019
Received: from localhost ([127.0.0.1]:58114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpPw-0004xT-6j
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:09:56 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:41945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpPu-0004xJ-PK
 for 38030 <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:09:55 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tYY4Tw8z1rcZx
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tYY1gCCz1qqkC
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id l2qqZOimzK3d for <38030 <at> debbugs.gnu.org>;
 Sat,  2 Nov 2019 10:09:52 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:52 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 11F1D60138
 for <38030 <at> debbugs.gnu.org>; Sat,  2 Nov 2019 10:09:53 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: 38030 <at> debbugs.gnu.org
Subject: [PATCH 01/13] gnu: phonon: Update to 4.11.1.
Date: Sat,  2 Nov 2019 10:09:38 +0100
Message-Id: <20191102090950.18043-1-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38030
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/kde-frameworks.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/kde-frameworks.scm b/gnu/packages/kde-frameworks.scm
index c1279fffd4..a084d7a260 100644
--- a/gnu/packages/kde-frameworks.scm
+++ b/gnu/packages/kde-frameworks.scm
@@ -139,7 +139,7 @@ common build settings used in software produced by the KDE community.")
 (define-public phonon
   (package
     (name "phonon")
-    (version "4.10.1")
+    (version "4.11.1")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -148,7 +148,7 @@ common build settings used in software produced by the KDE community.")
                     name "-" version ".tar.xz"))
               (sha256
                (base32
-                "1dwdw0hm6685psrp7v9frhkhqvsxrbdnm3gw794j5z7g3brqvag5"))))
+                "0bfy8iqmjhlg3ma3iqd3kxjc2zkzpjgashbpf5x17y0dc2i1whxl"))))
     (build-system cmake-build-system)
     (native-inputs
      ;; TODO: Think about adding pulseaudio. Is it required for sound?
-- 
2.21.0





Information forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2019 09:08:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 05:08:03 2019
Received: from localhost ([127.0.0.1]:58105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQpO7-0004u5-FI
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:08:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:38379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpO4-0004tg-Np
 for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 05:08:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59047)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpO3-0001P4-N7
 for guix-patches@HIDDEN; Sat, 02 Nov 2019 05:08:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <h.goebel@HIDDEN>) id 1iQpO2-0006AC-Lh
 for guix-patches@HIDDEN; Sat, 02 Nov 2019 05:07:59 -0400
Received: from mail-out.m-online.net ([2001:a60:0:28:0:1:25:1]:58790)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <h.goebel@HIDDEN>)
 id 1iQpO2-00063w-Fn
 for guix-patches@HIDDEN; Sat, 02 Nov 2019 05:07:58 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 474tWH0r37z1rfL8
 for <guix-patches@HIDDEN>; Sat,  2 Nov 2019 10:07:55 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 474tWH03tyz1qqkC
 for <guix-patches@HIDDEN>; Sat,  2 Nov 2019 10:07:54 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024) with ESMTP id sDidTB7Nz3NT for <guix-patches@HIDDEN>;
 Sat,  2 Nov 2019 10:07:54 +0100 (CET)
Received: from hermia.goebel-consult.de
 (ppp-188-174-60-106.dynamic.mnet-online.de [188.174.60.106])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPS
 for <guix-patches@HIDDEN>; Sat,  2 Nov 2019 10:07:54 +0100 (CET)
Received: from lenashee.fritz.box (lenashee.fritz.box [192.168.110.31])
 by hermia.goebel-consult.de (Postfix) with ESMTP id 9CB5560138
 for <guix-patches@HIDDEN>; Sat,  2 Nov 2019 10:07:54 +0100 (CET)
From: Hartmut Goebel <h.goebel@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 00/13] Update KDE frameworks and other KDE stuff
Date: Sat,  2 Nov 2019 10:07:51 +0100
Message-Id: <20191102090751.17944-1-h.goebel@HIDDEN>
X-Mailer: git-send-email 2.21.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:a60:0:28:0:1:25:1
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Notable major points:

* Update KDE Frameworks to 5.63.0
* Add framework parts kcalendarcore, kcontacts, syndication.
* Move kholiday to kde-frameworks.scm since it now is a frameworks part.
* Move kpmcore to kde.scm, since it is a frameworks part.
* Update KDE plasma to 5.17 - but we still only have a few plasma package=
s.
* Update other KDE packages to current versions.

Hartmut Goebel (13):
  gnu: phonon: Update to 4.11.1.
  gnu: phonon-backend-gstreamer: Update to 4.10.0.
  gnu: kde-frameworks: Update to 5.63.0.
  gnu: Add kcalendarcore.
  gnu: Add kcontacts.
  gnu: Add syndication.
  gnu: kde plasma: Update to 5.17.0.
  gnu: libkomparediff2: Update to 19.08.2.
  gnu: kqtquickcharts: Update to 19.08.2.
  gnu: kdevelop: Update to 5.4.2.
  gnu: krita: Update to 4.2.7.1.
  gnu: ktouch: Update to 19.08.2.
  gnu: kpmcore: Update to 4.0.1

 gnu/packages/education.scm                    |   4 +-
 gnu/packages/kde-frameworks.scm               | 543 +++++++++++-------
 gnu/packages/kde-plasma.scm                   |  16 +-
 gnu/packages/kde.scm                          | 100 ++--
 .../patches/kinit-kdeinit-extra_libs.patch    |   4 +-
 .../patches/kwindowsystem-qt-compat.patch     |  97 ----
 6 files changed, 412 insertions(+), 352 deletions(-)
 delete mode 100644 gnu/packages/patches/kwindowsystem-qt-compat.patch

--=20
2.21.0





Acknowledgement sent to Hartmut Goebel <h.goebel@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38030; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 10 Nov 2019 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.